<?php
/**
 * The template for displaying 404 pages (Not Found).
 *
 * @package WordPress
 */
get_header();
?>
<!--contact content start-->
<div class="page-breadcumb-container">
    <img src=<?php echo esc_url((figero_get_option('figero_breadcrumb_bg') != '') ? figero_get_option('figero_breadcrumb_bg') : FIGERO_DIR_URI . 'assets/images/breadcrumb-image.png'); ?> />
</div>
<div class="page-info-container">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="page_info">
                    <?php
                    if (function_exists('figero_breadcrumbs')) {
                        figero_breadcrumbs();
                    }
                    ?> 
                </div>
            </div>
            <div class="clear"></div>
        </div>
    </div>
</div>
<!--<div class="strip_line"></div>-->
<div class="content-container">
    <div class="container">
        <div class="row">
            <!--<div class="col-md-12">-->
            <div class="content-main">
                <div class="row row-blog">
                    <div class="col-md-8 col-blog col-sm-8">
                        <!--Start content Wrapper-->
                        <div class="content-wrapper">
                            <h1 class="page-heading">
                                <?php the_title(); ?>
                            </h1>
                            <header class="entry-header">
                                <h1 class="entry-title">
                                    <?php esc_html_e('This is somewhat embarrassing, isn&rsquo;t it?', 'figero'); ?>
                                </h1>
                            </header>
                            <p>
                                <?php esc_html_e('It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching, or one of the links below, can help.', 'figero'); ?>
                            </p>
                            <?php
                            get_search_form();
                            the_widget('WP_Widget_Recent_Posts', array('number' => 10), array('widget_id' => '404'));
                            ?>
                            <div class="widget">
                                <h2 class="widgettitle">
                                    <?php esc_html_e('Most Used Categories', 'figero'); ?>
                                </h2>
                                <ul>
                                    <?php wp_list_categories(array('orderby' => 'count', 'order' => 'DESC', 'show_count' => 1, 'title_li' => '', 'number' => 10)); ?>
                                </ul>
                            </div>
                            <?php
                            /* translators: %1$s: smilie */
                            $archive_content = '<p>' . sprintf(__('Try looking in the monthly archives. %1$s', 'figero'), convert_smilies(':)')) . '</p>';
                            the_widget('WP_Widget_Archives', array('count' => 0, 'dropdown' => 1), array('after_title' => '</h2>' . $archive_content));
                            the_widget('WP_Widget_Tag_Cloud');
                            ?>
                        </div>
                        <!--End content Wrapper-->
                    </div>
                    <!--Start Sidebar-->
                    <?php get_sidebar(); ?>
                    <!--End Sidebar-->
                </div>
            </div>
            <!--</div>-->
        </div>
    </div>
</div>
<!--contact content end-->
<?php
get_footer();
