<?php
/**
 * The template for displaying Archive pages.
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 *
 */
get_header();
?>
<!--contact content start-->
<div class="page-breadcumb-container">
    <img src=<?php echo esc_url((figero_get_option('figero_breadcrumb_bg') != '') ? figero_get_option('figero_breadcrumb_bg') : FIGERO_DIR_URI . 'assets/images/breadcrumb-image.png'); ?> />
</div>
<div class="page-info-container">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="page_info">
                    <?php
                    if (have_posts()):
                        if (function_exists('figero_breadcrumbs')) {
                            figero_breadcrumbs();
                        }
                        ?> 
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--<div class="strip_line"></div>-->
    <div class="content-container">
        <div class="container">
            <div class="row">
                <!--<div class="col-md-12">-->
                <div class="content-main">
                    <div class="row row-blog">
                        <div class="col-md-8 col-blog col-sm-8">
                            <!--Start content Wrapper-->
                            <div class="content-wrapper">
                                <h1 class="page-heading">
                                    <?php
                                    if (is_day()) :
                                         
                                         /* translators: %s: Daily Archives */
                                        printf(esc_html__('Daily Archives: %s', 'figero'), get_the_date());
                                    elseif (is_month()) :
                                        /* translators: %s: Monthly Archives */
                                        printf(esc_html__('Monthly Archives: %s', 'figero'), get_the_date('F Y'));
                                    elseif (is_year()) :
                                        /* translators: %s: Yearly Archives */
                                        printf(esc_html__('Yearly Archives: %s', 'figero'), get_the_date('Y'));
                                    else :
                                        esc_html_e('Blog Archives', 'figero');
                                    endif;
                                    ?>
                                </h1>
                                <?php
                                /* Run the loop for the archives page to output the posts.
                                 * If you want to overload this in a child theme then include a file
                                 * called loop-archives.php and that will be used instead.
                                 */
                                if (have_posts()) : while (have_posts()) : the_post();
                                        get_template_part('content');
                                    endwhile;
                                else:
                                    ?>
                                    <div class="blog-info">
                                        <p>
                                            <?php esc_html_e('Sorry, no posts matched your criteria.', 'figero'); ?>
                                        </p>
                                    </div>
                                <?php endif; ?>
                                <div class="clear"></div>
                                <nav id="nav-single"> <span class="nav-previous">
                                        <?php next_posts_link(__('&larr; Older posts', 'figero')); ?>
                                    </span> <span class="nav-next">
                                        <?php previous_posts_link(__('Newer posts &rarr;', 'figero')); ?>
                                    </span> </nav>
                            </div>
                            <!--End content Wrapper-->
                        <?php endif; ?>
                    </div>
                    <!--Start Sidebar-->
                    <?php get_sidebar(); ?>
                    <!--End Sidebar-->
                </div>
            </div>
            <!--</div>-->
        </div>
    </div>
</div>
<!--contact content end-->
<?php
get_footer();
