<?php
/**
 * The template for displaying attachments.
 *
 * @package WordPress
 */
get_header();
?>
<!--contact content start-->
<div class="page-breadcumb-container">
    <img src=<?php echo esc_url((figero_get_option('figero_breadcrumb_bg') != '') ? figero_get_option('figero_breadcrumb_bg') : FIGERO_DIR_URI . 'assets/images/breadcrumb-image.png'); ?> />
</div>
<div class="page-info-container">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="page_info">         
                </div>
            </div>
        </div>
    </div>
</div>
<!--<div class="strip_line"></div>-->
<div class="content-container" style="<?php if (figero_get_option('figero_bodybg') != '') { ?>background:url(<?php echo wp_kses_post(figero_get_option('figero_bodybg')); ?>)<?php
}
?>">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="content-main fullwidth">
                    <?php if (have_posts()) : the_post(); ?>
                   <?php /* translators: %s - title of parent post */?>
                        <p><a href="<?php echo esc_url($post->post_parent); ?>" title="<?php esc_attr(printf(esc_attr__('Return to %s', 'figero'), get_the_title($post->post_parent))); ?>" rel="gallery">
                                <?php
                                /* translators: %s - title of parent post */
                                printf(esc_attr__('<span>&larr;</span> %s', 'figero'), get_the_title($post->post_parent));
                                ?>
                            </a></p>
                        <?php
                        /* translators: %s - title of author post */
                        printf(esc_attr__('By %2$s', 'figero'), 'meta-prep meta-prep-author', sprintf('<a class="url fn n" href="%1$s" title="%2$s">%3$s</a>', esc_url(get_the_author_meta('ID')), sprintf(esc_attr__('View all posts by %s', 'figero'), get_the_author()), get_the_author()));
                        ?>
                        <span>|</span>
                        <?php
                        /* translators: %s - published date */
                        printf(esc_attr__('Published %2$s', 'figero'), 'meta-prep meta-prep-entry-date', sprintf('<abbr title="%1$s">%2$s</abbr>', esc_attr(get_the_time()), get_the_date()));
                        if (wp_attachment_is_image()) {
                            echo ' | ';
                            $metadata = wp_get_attachment_metadata();
                            /* translators: %s - Link to full-size image */
                            printf(esc_attr__('Full size is %s pixels', 'figero'), sprintf('<a href="%1$s" title="%2$s">%3$s &times; %4$s</a>', esc_url(wp_get_attachment_url()), esc_attr(__('Link to full-size image', 'figero')), wp_kses_post($metadata['width']), wp_kses_post($metadata['height'])));
                        }
                        edit_post_link(__('Edit', 'figero'), '', '');
                        ?>
                        <!-- .entry-meta -->
                        <?php
                        if (wp_attachment_is_image()) :
                            $attachments = array_values(get_children(array('post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID')));
                            foreach ($attachments as $k => $attachment) {
                                if ($attachment->ID == $post->ID)
                                    break;
                            }
                            $k++;
                            // If there is more than 1 image attachment in a gallery
                            if (count($attachments) > 1) {
                                if (isset($attachments[$k]))
                                // get the URL of the next image attachment
                                    $next_attachment_url = get_attachment_link($attachments[$k]->ID);
                                else
                                // or get the URL of the first image attachment
                                    $next_attachment_url = get_attachment_link($attachments[0]->ID);
                            } else {
                                // or, if there's only 1 image attachment, get the URL of the image
                                $next_attachment_url = wp_get_attachment_url();
                            }
                            ?>
                            <p><a href="<?php echo esc_url($next_attachment_url); ?>" title="<?php echo esc_attr(get_the_title()); ?>" rel="attachment">
                                    <?php
                                    $attachment_size = apply_filters('twentyten_attachment_size', 1085);
                                    echo wp_get_attachment_image($post->ID, array($attachment_size, 9999)); // filterable image width with, essentially, no limit for image height.
                                    ?>
                                </a></p>
                            <?php
                            previous_image_link(false);
                            next_image_link(false);
                        else :
                            ?>
                            <a href="<?php echo esc_url(wp_get_attachment_url()); ?>" title="<?php echo esc_attr(get_the_title()); ?>" rel="attachment"><?php echo esc_url(get_permalink()); ?></a>
                        <?php
                        endif;
                        if (!empty($post->post_excerpt)) {
                            the_excerpt();
                        }
                        the_content(__('Continue reading &rarr;', 'figero'));
                        wp_link_pages(array('before' => '' . __('Pages:', 'figero'), 'after' => ''));
                        figero_posted_in();
                        edit_post_link(__('Edit', 'figero'), ' ', '');
                        comments_template();
                    endif;
                    ?>
                </div>
            </div>
        </div>
        <div class="clear"></div>
    </div>
</div>
<!--contact content end-->
<?php
get_footer();
