<?php
/*
  Template Name: Blog Page
 */
get_header();
?>
<!--contact content start-->
<div class="page-breadcumb-container">
    <img src=<?php echo (figero_get_option('inkthemes_breadcrumb_bg') != '') ? figero_get_option('inkthemes_breadcrumb_bg') : FIGERO_DIR_URI . 'assets/images/breadcrumb-image.png'; ?> />
</div>
<div class="page-info-container">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="page_info">        
                    <?php
                    if (function_exists('figero_breadcrumbs'))
                        figero_breadcrumbs();
                    ?>       
                </div>
            </div>
        </div>
        <div class="clear"></div>
    </div>
</div>
<!--<div class="strip_line"></div>-->
<div class="content-container" style="<?php if (figero_get_option('inkthemes_bodybg') != '') { ?>background:url(<?php echo wp_kses_post(figero_get_option('inkthemes_bodybg')); ?>)<?php
}
?>">
    <div class="container">
        <div class="row">
            <!--<div class="col-md-12">-->
            <div class="content-main">
                <div class="row row-blog">
                    <div class="col-md-8 col-blog col-sm-8">
                        <!--Start content Wrapper-->
                        <div class="content-wrapper">
                            <?php
                            $limit = get_option('posts_per_page');
                            $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
                            $args = array(
                                'paged' => $paged,
                                'posts_per_page' => $limit,
                                'is_archive' => true,
                                'is_home' => false
                            );
                            $wp_query = new WP_Query($args);
                            ?>
                            <!-- Start the Loop. -->
                            <?php if ($wp_query->have_posts()) : while ($wp_query->have_posts()) : $wp_query->the_post(); ?>
                                    <div class="blog-info">
                                        <div class="content-info">
                                            <h1 class="page-title"><a href="<?php the_permalink() ?>" rel="bookmark" title=" <?php printf(__('Permanent Link to %1$s', 'figero'), get_the_title()); ?>"><?php the_title(); ?></a></h1>
                                            <p class="light"><?php
                                                printf(__('Posted by %1$s in %2$s', 'figero'), sprintf('<a href="%1$s">%2$s</a>', esc_url(get_author_posts_url(get_the_author_meta('ID'))), esc_html(get_the_author())
                                                        ), sprintf('<a href="%1$s" rel="bookmark">%2$s</a>', esc_url(get_permalink()), get_the_date('M, Y')
                                                        )
                                                );
                                                ?>
                                            </p>
                                                <?php
                                                if (figero_is_preview()) {
                                                    the_post_thumbnail(array(697, 348));
                                                } elseif ((has_post_thumbnail())) {
                                                    ?>
                                                    <?php
                                                    figero_get_thumbnail(697, 348);
                                                } else {
                                                    figero_get_image(697, 348);
                                                }
                                                /**
                                                 * Include the Excerpt
                                                 */
                                                the_excerpt();
                                                ?>
                                        </div>
                                        <div class="category">
                                            <div class="cat"> <img  src="<?php echo FIGERO_DIR_URI; ?>assets/images/cat-img-1.png">
                                                <p><b><?php _e('Category:&nbsp;', 'figero'); ?></b>
                                                    <?php the_category(', '); ?>
                                                </P>
                                            </div>
                                            <?php if (has_tag()) { ?>
                                                <div class="tag"> <img  src="<?php echo FIGERO_DIR_URI; ?>assets/images/cat-img-2.png">
                                                    <?php the_tags(__('Post Tagged with ', 'figero'), ', ', ''); ?>
                                                </div>
                                            <?php } ?>
                                        </div>
                                    </div>
                                <?php endwhile; ?>
                                <nav id="nav-single"> <span class="nav-previous">
                                        <?php next_posts_link(__('&larr; Older posts', 'figero')); ?>
                                    </span> <span class="nav-next">
                                        <?php previous_posts_link(__('Newer posts &rarr;', 'figero')); ?>
                                    </span> </nav>
                            <?php else: ?>
                                <div class="blog-info">
                                    <p>
                                        <?php _e('Sorry, no posts matched your criteria.', 'figero'); ?>
                                    </p>
                                </div>
                            <?php
                            endif;
                            wp_reset_query();
                            ?>
                            <!--End Loop-->
                        </div>
                        <!--End content Wrapper-->
                    </div>
                    <!--Start Sidebar-->
                    <?php get_sidebar(); ?>
                    <!--End Sidebar-->
                </div>
            </div>
            <!--</div>-->
        </div>
        <div class="clear"></div>
    </div>
</div>
<!--contact content end-->
<?php
get_footer();
