<?php
if (!defined('FIGERO_DIR_URI')) {
    define('FIGERO_DIR_URI', get_template_directory_uri() . '/');
}
if (!defined('FIGERO_DIR')) {
    define('FIGERO_DIR', get_template_directory() . '/');
}

/*
 * Gallery_image-widget
 */
require_once (FIGERO_DIR . 'includes/preview/demo-preview.php');
require_once (FIGERO_DIR  .'includes/gallery-image-widget/gallery-image-widget.php');
require_once (FIGERO_DIR . 'includes/latest_post_widget.php'); //Recent post with thumbnail
require_once (FIGERO_DIR . 'includes/metabox.php');
require_once (FIGERO_DIR . 'includes/classes.php');
require_once (FIGERO_DIR . 'includes/customizer.php');
require_once (FIGERO_DIR . 'includes/features/feature-about-page.php');
require_once (FIGERO_DIR . 'includes/dynamic-image.php');
require_once (FIGERO_DIR . '/includes/iframe-code-widget/iframe-code-widget.php');
require_once (FIGERO_DIR . '/includes/instagram-widget/instagram-widget.php');
require_once (FIGERO_DIR . '/includes/recent-post-widget/recent-post-widget.php');
require_once (FIGERO_DIR . '/includes/social-icon-widget/social-icon-widget.php');
require_once (FIGERO_DIR . '/includes/about-me-widget/about-me-widget.php');

/**
* Enqueue script for custom customize control.
*/
function theme_slug_custom_customize_enqueue() {
   wp_enqueue_style( 'customizer-css', FIGERO_DIR_URI . 'assets/css/customizer.css' );
   }
   add_action( 'customize_controls_enqueue_scripts', 'theme_slug_custom_customize_enqueue' );

/**
 * Set the content width based on the theme's design and stylesheet.
 *
 * Used to set the width of images and content. Should be equal to the width the theme
 * is designed for, generally via the style.css stylesheet.
 */
if (!isset($content_width))
    $content_width = 590;

if (!function_exists('figero_setup')) :

    function figero_setup() {

        //Load languages file
        load_theme_textdomain('figero', FIGERO_DIR . '/languages');

        /**
         * registre custom menu
         */
        register_nav_menu('custom_menu', __('Main Menu', 'figero'));

        /**
         * Post Thumbnail Support
         */
        add_theme_support('post-thumbnails');

        /**
         * custom background
         */
        add_theme_support('custom-background');

        /**
         * Woocommerce Support
         */
        add_theme_support('woocommerce');

        /**
         * Auto Feed Links Support 
         */
        add_theme_support('title-tag');
        add_theme_support('automatic-feed-links');
    }

endif;
add_action('after_setup_theme', 'figero_setup');

/**
 * Register widgetized areas, including two sidebars and four widget-ready columns in the footer.
 * To override twentyten_widgets_init() in a child theme, remove the action hook and add your own
 * function tied to the init hook.
 *
 * @uses register_sidebar
 */
function figero_widgets_init() {
    /* Area 1, located at the top of the sidebar. */
    register_sidebar(array(
        'name' => __('Primary Widget Area', 'figero'),
        'id' => 'primary-widget-area',
        'description' => __('The primary widget area', 'figero'),
        'before_widget' => '<aside id="%1$s" class="sidebar-widget widget %2$s">',
        'after_widget' => '</aside>',
        'before_title' => '<span class="side_head">',
        'after_title' => '</span>',
    ));
    /* Area 2, located below the Primary Widget Area in the sidebar. Empty by default. */
    register_sidebar(array(
        'name' => __('Secondary Widget Area', 'figero'),
        'id' => 'secondary-widget-area',
        'description' => __('The secondary widget area', 'figero'),
        'before_widget' => '<aside id="%1$s" class="sidebar-widget widget %2$s">',
        'after_widget' => '</aside>',
        'before_title' => '<span class="side_head">',
        'after_title' => '</span>',
    ));
    /* Area 3, located in the footer. Empty by default. */
    register_sidebar(array(
        'name' => __('First Footer Widget Area', 'figero'),
        'id' => 'first-footer-widget-area',
        'description' => __('The first footer widget area', 'figero'),
        'before_widget' => '<aside id="%1$s" class="sidebar-widget widget %2$s">',
        'after_widget' => '</aside>',
        'before_title' => '<span class="foot_head">',
        'after_title' => '</span>',
    ));
    /* Area 4, located in the footer. Empty by default. */
    register_sidebar(array(
        'name' => __('Second Footer Widget Area', 'figero'),
        'id' => 'second-footer-widget-area',
        'description' => __('The second footer widget area', 'figero'),
        'before_widget' => '<aside id="%1$s" class="sidebar-widget widget %2$s">',
        'after_widget' => '</aside>',
        'before_title' => '<span class="foot_head">',
        'after_title' => '</span>',
    ));
    /* Area 5, located in the footer. Empty by default. */
    register_sidebar(array(
        'name' => __('Third Footer Widget Area', 'figero'),
        'id' => 'third-footer-widget-area',
        'description' => __('The third footer widget area', 'figero'),
        'before_widget' => '<aside id="%1$s" class="sidebar-widget widget %2$s">',
        'after_widget' => '</aside>',
        'before_title' => '<span class="foot_head">',
        'after_title' => '</span>',
    ));
    /* Area 6, located in the footer. Empty by default. */
    register_sidebar(array(
        'name' => __('Fourth Footer Widget Area', 'figero'),
        'id' => 'fourth-footer-widget-area',
        'description' => __('The fourth footer widget area', 'figero'),
        'before_widget' => '<aside id="%1$s" class="sidebar-widget widget %2$s">',
        'after_widget' => '</aside>',
        'before_title' => '<span class="foot_head">',
        'after_title' => '</span>',
    ));
}

/** Register sidebars by running figero_widgets_init() on the widgets_init hook. */
add_action('widgets_init', 'figero_widgets_init');

/**
 * Styles Enqueue 
 */
function figero_add_stylesheet() {
    if (!is_admin()) {
        wp_enqueue_style('figero-bootstrap', FIGERO_DIR_URI . "assets/css/bootstrap.css", '', '', 'all');
        wp_enqueue_style('figero-shortcodes', FIGERO_DIR_URI . "assets/css/shortcode.css", '', '', 'all');
        wp_enqueue_style('figero-prettyPhoto', FIGERO_DIR_URI . "assets/css/prettyPhoto.css", '', '', 'all');
        wp_enqueue_style('figero-reset', FIGERO_DIR_URI . "assets/css/reset.css", '', '', 'all');
        wp_enqueue_style('figero-woocommerce', FIGERO_DIR_URI . "assets/css/woocommerce.css", '', '', 'all');
        wp_enqueue_style('figero-hover', FIGERO_DIR_URI . "assets/Hover-master/css/hover.css", '', '', 'all');
        wp_enqueue_style('figero-owlcarouselcss', FIGERO_DIR_URI . "assets/css/owl.carousel.css", '', '', 'all');
        wp_enqueue_style('figero-animate', FIGERO_DIR_URI . "assets/css/animate.css", '', '', 'all');
        wp_enqueue_style('figero-font-awesome1', FIGERO_DIR_URI . "assets/font-awesome/css/font-awesome.css", '', '', 'all');
        wp_enqueue_style('figero-style', get_stylesheet_uri());
        wp_enqueue_style('figero-responsive', FIGERO_DIR_URI . "assets/css/responsive.css", '', '', 'all');
        wp_enqueue_style('font-monserrat', "//fonts.googleapis.com/css?family=Montserrat:400,400i,500,600", '', '', 'all');
        wp_enqueue_style('font-opensans', "//fonts.googleapis.com/css?family=Open+Sans", '', '', 'all');
    }
}

add_action('wp_enqueue_scripts', 'figero_add_stylesheet');

/**
 * jQuery Enqueue 
 */
function figero_wp_enqueue_scripts() {
    if (!is_admin()) {
        wp_enqueue_script('inkthemes-ddsmoothmenu', FIGERO_DIR_URI . 'assets/js/ddsmoothmenu.js', array('jquery'));
        wp_enqueue_script('flex-slider', FIGERO_DIR_URI . 'assets/js/jquery.flexslider-min.js', array('jquery'));
        wp_enqueue_script('figero-prettyPhoto', FIGERO_DIR_URI . 'assets/js/jquery.prettyPhoto.js', array('jquery'));
        wp_enqueue_script('inkthemes-jcarousfigero', FIGERO_DIR_URI . 'assets/js/jcarousellite_1.0.1.js', array('jquery'));
        wp_enqueue_script('inkthemes-tipsy', FIGERO_DIR_URI . 'assets/js/jquery.tipsy.js', array('jquery'));
        wp_enqueue_script('inkthemes-smoothscroll', FIGERO_DIR_URI . 'assets/js/smoothscroll.min.js', array('jquery'));
        wp_enqueue_script('inkthemes-masonry', FIGERO_DIR_URI . 'assets/js/masonry.pkgd.min.js', array('jquery'));
        wp_enqueue_script('inkthemes-owlcarouseljs', FIGERO_DIR_URI . 'assets/js/owl.carousel.min.js', array('jquery'));
        wp_enqueue_script('inkthemes-viewportchecker', FIGERO_DIR_URI . 'assets/js/jquery.viewportchecker.js', array('jquery'));
        wp_enqueue_script('inkthemes-responsive-menu-2', FIGERO_DIR_URI . 'assets/js/menu/jquery.meanmenu.2.0.min.js', array('jquery'));
        wp_enqueue_script('inkthemes-responsive-menu-2-options', FIGERO_DIR_URI . 'assets/js/menu/jquery.meanmenu.options.js', array('jquery'));
        wp_enqueue_script('inkthemes-custom', FIGERO_DIR_URI . 'assets/js/custom.js', array('jquery'));
        if (is_singular() && get_option('thread_comments'))
            wp_enqueue_script('comment-reply');
    }
}

add_action('wp_enqueue_scripts', 'figero_wp_enqueue_scripts');


function figero_get_option($name) {
    $options = get_option('figero_options');
    if (isset($options[$name]))
        return $options[$name];
}
//
function figero_update_option($name, $value) {
    $options = get_option('figero_options');
    $options[$name] = $value;
    return update_option('figero_options', $options);
}
//
function figero_delete_option($name) {
    $options = get_option('figero_options');
    unset($options[$name]);
    return update_option('figero_options', $options);
}

function figero_data_update() {
    $figero_data_update = wp_kses_post(figero_get_option('figero_data_update'));
    if (!$figero_data_update) {
        $lite_theme_option = array(
            'figero_logo' => 'inkthemes_logo',
            'figero_favicon' => 'inkthemes_favicon',
            're_nm' => 're_nm',
            'figero_slideheading1' => 'inkthemes_slideheading1',
            'figero_slidedescription1' => 'inkthemes_slidedescription1',
            'figero_slidel_rb_1' => 'inkthemes_slidel_rb_1',
            'figero_slidel_r_1' => 'inkthemes_slidel_r_1',
            'figero_slidel_lb_1' => 'inkthemes_slidel_lb_1',
            'figero_slidel_l_1' => 'inkthemes_slidel_l_1',
            'figero_slideimage1' => 'inkthemes_slideimage1',
            'figero_headline1' => 'inkthemes_headline1',
            'figero_feature1' => 'inkthemes_feature1',
            'figero_headline2' => 'inkthemes_headline2',
            'figero_testo_desc1' => 'inkthemes_testo_desc1',
            'figero_featured_img_1' => 'inkthemes_featured_img_1',
            'figero_featured_h_1' => 'inkthemes_featured_h_1',
            'figero_featured_1' => 'inkthemes_featured_1',
            'figero_featured_img_2' => 'inkthemes_featured_img_2',
            'figero_featured_h_2' => 'inkthemes_featured_h_2',
            'figero_featured_2' => 'inkthemes_featured_2',
            'figero_featured_img_3' => 'inkthemes_featured_img_3',
            'figero_featured_h_3' => 'inkthemes_featured_h_3',
            'figero_featured_3' => 'inkthemes_featured_3',
            'figero_featured_img_4' => 'inkthemes_featured_img_4',
            'figero_featured_h_4' => 'inkthemes_featured_h_4',
            'figero_featured_4' => 'inkthemes_featured_4',
            'figero_customcss' => 'inkthemes_customcss'
        );
        $lite_theme_option_value = get_option('figero_options');
        if (isset($lite_theme_option_value)) {
            foreach ($lite_theme_option as $key => $value) {
                $pro_theme_data = get_option($value);
                if ($pro_theme_data == '') {
                    update_option($lite_theme_option[$key], $lite_theme_option_value[$key]);
                }
            }
            update_option('figero_data_update', '1');
        }
    }
}

add_action('after_switch_theme', 'figero_data_update');

/* Custom Menus Function */

// Add CLASS attributes to the first <ul> occurence in wp_page_menu
function figero_add_menuclass($ulclass) {
    return preg_replace('/<ul>/', '<ul class="ddsmoothmenu">', $ulclass, 1);
}

add_filter('wp_page_menu', 'figero_add_menuclass');

function figero_inkthemes_nav() {
    if (function_exists('wp_nav_menu'))
        wp_nav_menu(array('theme_location' => 'custom_menu', 'container_id' => 'menu', 'menu_class' => 'ddsmoothmenu', 'fallback_cb' => 'figero_inkthemes_nav_fallback'));
    else
        figero_inkthemes_nav_fallback();
}

function figero_inkthemes_nav_fallback() {
    ?>
    <div id="menu">
        <ul class="ddsmoothmenu">
            <?php
            wp_list_pages('title_li=&show_home=1&sort_column=menu_order');
            ?>
        </ul>
    </div>
    <?php
}

function hex2rgba($color, $opacity = false) {

    $default = 'rgb(0,0,0)';

    //Return default if no color provided
    if (empty($color))
        return $default;

    //Sanitize $color if "#" is provided 
    if ($color[0] == '#') {
        $color = substr($color, 1);
    }

    //Check if color has 6 or 3 characters and get values
    if (strlen($color) == 6) {
        $hex = array($color[0] . $color[1], $color[2] . $color[3], $color[4] . $color[5]);
    } elseif (strlen($color) == 3) {
        $hex = array($color[0] . $color[0], $color[1] . $color[1], $color[2] . $color[2]);
    } else {
        return $default;
    }

    //Convert hexadec to rgb
    $rgb = array_map('hexdec', $hex);

    //Check if opacity is set(rgba or rgb)
    if ($opacity) {
        if (abs($opacity) > 1)
            $opacity = 1.0;
        $output = 'rgba(' . implode(",", $rgb) . ',' . $opacity . ')';
    } else {
        $output = 'rgb(' . implode(",", $rgb) . ')';
    }

    //Return rgb(a) color string
    return $output;
}

function figero_nav_menu_items($items) {
    if (is_home()) {
        $homelink = '<li class="current_page_item">' . '<a href="' . home_url('/') . '">' . __('Home', 'figero') . '</a></li>';
    } else {
        $homelink = '<li>' . '<a href="' . home_url('/') . '">' . __('Home', 'figero') . '</a></li>';
    }
    $items = $homelink . $items;
    return $items;
}

add_filter('wp_list_pages', 'figero_nav_menu_items');

/**
 * Breadcrumbs Plugin
 */
function figero_breadcrumbs() {
    $delimiter = '&raquo;';
    $home = 'Home'; // text for the 'Home' link
    $before = '<span class="current">'; // tag before the current crumb
    $after = '<span class="bread-bottom-border"></span></span>'; // tag after the current crumb
    echo '<div id="crumbs">';
    global $post;
    $homeLink = home_url();

    if (is_category()) {
        global $wp_query;
        $cat_obj = $wp_query->get_queried_object();
        $thisCat = $cat_obj->term_id;
        $thisCat = get_category($thisCat);
        $parentCat = get_category($thisCat->parent);
        if ($thisCat->parent != 0)
            echo(get_category_parents($parentCat, TRUE, ' ' . $delimiter . ' '));
        echo $before . __('Archive by category "', 'figero') . single_cat_title('', false) . '"' . $after;
        echo __('You are here:&nbsp;&nbsp;', 'figero') . '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';
    }
    elseif (is_day()) {
        echo $before . get_the_time('d') . $after;
        echo __('You are here:&nbsp;&nbsp;', 'figero') . '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';
        echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
        echo '<a href="' . get_month_link(get_the_time('Y'), get_the_time('m')) . '">' . get_the_time('F') . '</a> ' . $delimiter . ' ';
    } elseif (is_month()) {
        echo $before . get_the_time('F') . $after;
        echo __('You are here:&nbsp;&nbsp;', 'figero') . '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';
        echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
    } elseif (is_year()) {
        echo $before . get_the_time('Y') . $after;
        echo __('You are here:&nbsp;&nbsp;', 'figero') . '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';
    }
    elseif (is_single() && !is_attachment()) {

        if (get_post_type() != 'post') {
            $post_type = get_post_type_object(get_post_type());
            $slug = $post_type->rewrite;
            echo $before . get_the_title() . $after;
            echo __('You are here:&nbsp;&nbsp;', 'figero') . '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';
            echo '<a href="' . $homeLink . '/' . $slug['slug'] . '/">' . $post_type->labels->singular_name . '</a> ' . $delimiter . ' ';
        } 
        else {
            $cat = get_the_category();
            $cat = $cat[0];
            echo $before . get_the_title() . $after;
            echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');

            echo __('You are here:&nbsp;&nbsp;', 'figero') . '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';
        }
    } 
    elseif (!is_single() && !is_page() && get_post_type() != 'post') {
        $post_type = get_post_type_object(get_post_type());
        echo $before . $post_type->labels->singular_name . $after;
        echo __('You are here:&nbsp;&nbsp;', 'figero') . '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';
    }
    elseif (is_attachment()) {
        $parent = get_post($post->post_parent);
        $cat = get_the_category($parent->ID);
        $cat = $cat[0];
        echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
        echo '<a href="' . get_permalink($parent) . '">' . $parent->post_title . '</a> ' . $delimiter . ' ';
        echo $before . get_the_title() . $after;
        echo __('You are here:&nbsp;&nbsp;', 'figero') . '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';
    }
    elseif (is_page() && !$post->post_parent) {
        echo $before . get_the_title() . $after;
        echo __('You are here:&nbsp;&nbsp;', 'figero') . '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';
    }
    elseif (is_page() && $post->post_parent) {
        echo $before . get_the_title() . $after;
        $parent_id = $post->post_parent;
        $breadcrumbs = array();
        while ($parent_id) {
            $page = get_page($parent_id);
            $breadcrumbs[] = '<a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a>';
            $parent_id = $page->post_parent;
        }
        $breadcrumbs = array_reverse($breadcrumbs);
        echo __('You are here:&nbsp;&nbsp;', 'figero') . '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';
        foreach ($breadcrumbs as $crumb)
            echo $crumb . ' ' . $delimiter . ' ';
    } 
    elseif (is_search()) {
        echo $before . __('Search results for "', 'figero') . get_search_query() . '"' . $after;
        echo __('You are here:&nbsp;&nbsp;', 'figero') . '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';
    } elseif (is_tag()) {
        echo $before . __('Posts tagged "', 'figero') . single_tag_title('', false) . '"' . $after;
        echo __('You are here:&nbsp;&nbsp;', 'figero') . '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';
    } elseif (is_author()) {
        echo $before . __('Articles posted by ', 'figero') . $userdata->display_name . $after;
        echo __('You are here:&nbsp;&nbsp;', 'figero') . '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';
        global $author;
        $userdata = get_userdata($author);
    } elseif (is_404()) {
        echo $before . __('Error 404', 'figero') . $after;
        echo __('You are here:&nbsp;&nbsp;', 'figero') . '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';
    }
    if (get_query_var('paged')) {
        echo __('You are here:&nbsp;&nbsp;', 'figero') . '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';
        if (is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author())
            echo ' (';
        echo __('Page', 'figero') . ' ' . get_query_var('paged');
        if (is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author())
            echo ')';
    }
    echo '</div>';
}

/**
 * Function to call first uploaded image in functions file 
 */

/**
 * This function thumbnail id and
 * returns thumbnail image
 * @param type $iw
 * @param type $ih 
 */
function figero_get_thumbnail($iw, $ih) {
    $permalink = get_permalink();
    $thumb = get_post_thumbnail_id();
    $image = figero_thumbnail_resize($thumb, '', $iw, $ih, true, 90);
    if ((function_exists('has_post_thumbnail')) && (has_post_thumbnail())) {
        print "<a href='$permalink'><img class='postimg' src='$image[url]' width='$image[width]' height='$image[height]' /></a>";
    }
}

/**
 * This function gets image width and height and
 * Prints attached images from the post        
 */
function figero_get_image($width, $height) {
    $w = $width;
    $h = $height;
    global $post, $posts;
    /* This is required to set to Null */
    $img_source = '';
    $permalink = get_permalink();
    ob_start();
    ob_end_clean();
    $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
    if (isset($matches [1] [0])) {
        $img_source = $matches [1] [0];
    }
    $img_path = figero_image_resize($img_source, $w, $h);
    if (!empty($img_path['url'])) {
        print "<a href='$permalink'><img src='{$img_path['url']}' class='postimg' alt='Post Image'/></a>";
    }
}

//Portfolio Image
function figero_blog_image($imgwh, $imght) {
    global $post, $posts;
//This is required to set to Null
    $id = '';
    $the_title = '';
// Till Here
    $permalink = get_permalink();
    $homeLink = get_template_directory_uri();
    $first_img = '';
    ob_start();
    ob_end_clean();
    $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
    if (isset($matches [1] [0])) {
        $first_img = $matches [1] [0];
    }
    if (empty($first_img)) { //Defines a default image
//$first_img = "$homeLinkassets/images/default.png";
// print "<a href='$permalink'><img src='$first_img' class='postimg wp-post-image' alt='$the_title' /></a>";
    } else {
        print "<img src='$first_img' class='postimg wp-post-image' alt='$the_title' />";
    }
}

/**
 * Attachment Page Design 
 */

/**
 * Prints HTML with meta information for the current post (category, tags and permalink).
 */
function figero_posted_in() {
    /* Retrieves tag list of current post, separated by commas. */
    $tag_list = get_the_tag_list('', ', ');
    if ($tag_list) {
        $posted_in = __('This entry was posted in %1$s and tagged %2$s. Bookmark the ', 'figero') . '<a href="%3$s" title="' . __('Permalink to %4$s', 'figero') . '" rel="bookmark">' . __('permalink</a>.', 'figero');
    } elseif (is_object_in_taxonomy(get_post_type(), 'category')) {
        $posted_in = __('This entry was posted in %1$s. Bookmark the ', 'figero') . '<a href="%3$s" title="' . __('Permalink to %4$s', 'figero') . '" rel="bookmark">' . __('permalink</a>.', 'figero');
    } else {
        $posted_in = __('Bookmark the ', 'figero') . '<a href="%3$s" title="' . __('Permalink to %4$s', 'figero') . '" rel="bookmark">' . __('permalink</a>.', 'figero');
    }
// Prints the string, replacing the placeholders.
    printf(
            $posted_in, get_the_category_list(', '), $tag_list, get_permalink(), the_title_attribute('echo=0')
    );
}

/**
 * Pagination
 *
 */
function figero_pagination($pages = '', $range = 2) {
    $showitems = ($range * 2) + 1;
    global $paged;
    if (empty($paged))
        $paged = 1;
    if ($pages == '') {
        global $wp_query;
        $pages = $wp_query->max_num_pages;
        if (!$pages) {
            $pages = 1;
        }
    }
    if (1 != $pages) {
        echo "<ul class='paging'>";
        if ($paged > 2 && $paged > $range + 1 && $showitems < $pages)
            echo "<li><a href='" . get_pagenum_link(1) . "'>&laquo;</a></li>";
        if ($paged > 1 && $showitems < $pages)
            echo "<li><a href='" . get_pagenum_link($paged - 1) . "'>&lsaquo;</a></li>";
        for ($i = 1; $i <= $pages; $i++) {
            if (1 != $pages && (!($i >= $paged + $range + 1 || $i <= $paged - $range - 1) || $pages <= $showitems )) {
                echo ($paged == $i) ? "<li><a href='" . get_pagenum_link($i) . "' class='current' >" . $i . "</a></li>" : "<li><a href='" . get_pagenum_link($i) . "' class='inactive' >" . $i . "</a></li>";
            }
        }
        if ($paged < $pages && $showitems < $pages)
            echo "<li><a href='" . get_pagenum_link($paged + 1) . "'>&rsaquo;</a></li>";
        if ($paged < $pages - 1 && $paged + $range - 1 < $pages && $showitems < $pages)
            echo "<li><a href='" . get_pagenum_link($pages) . "'>&raquo;</a></li>";
        echo "</ul>\n";
    }
}

/**
 * Add Favicon
 */
function figero_childtheme_favicon() {
    if (figero_get_option('figero_favicon') != '') {
        echo '<link rel="shortcut icon" href="' . wp_kses_post(figero_get_option('figero_favicon')) . '"/>' . "\n";
    }
}

add_action('wp_head', 'figero_childtheme_favicon');

/**
 * Show analytics code in footer 
 */
function figero_childtheme_analytics() {
    $output = wp_kses_post(figero_get_option('figero_analytics'));
    if ($output <> "")
    figero_sanitize_html(stripslashes($output));
    // var_dump(figero_get_option('figero_analytics'));
}

add_action('wp_head', 'figero_childtheme_analytics');

/**
 * Custom CSS Styles 
 */
function figero_of_head_css() {
    $output = '';
    $custom_css = wp_kses_post(figero_get_option('inkthemes_customcss'));
    if ($custom_css <> '') {
        $output .= $custom_css . "\n";
    }
// Output styles
    if ($output <> '') {
        $output = "<!-- Custom Styling -->\n<style type=\"text/css\">\n" . $output . "</style>\n";
        echo $output;
    }
}

add_action('wp_head', 'figero_of_head_css');

/**
* Theme options to customizer migration function
*/
function theme_options_to_customizer(){ 
    $customizer_data = array();

    /*
     *Fetch all the theme options ids 
    */
    $theme_options_data = get_option('inkthemes_options');

    /*
    *To display theme options 
    */
    // echo "<pre>===";
    // print_r($theme_options_data);
    // echo "</pre>";
    
    /*
    * Replacing inkthemes string with theme name
    */  
    foreach ($theme_options_data as $key => $value) {      
        if (stripos("'.$key.'", 'inkthemes') !== false) {
            $key = str_replace("inkthemes", "figero", $key);
            $customizer_data[$key] = $value;
        }
        else {
            $customizer_data[$key] = $value;
        }                      
    }
    
    /**
     * Updating the customizer options
     */
    update_option('figero_options', $customizer_data); 
}

 /**
 *Checking data migrating status (Theme options to Customizer) 
 */
$customizer_data_status = get_option('theme_options_to_customizer_status');
if ($customizer_data_status != 'completed' && $customizer_data_status != '' && $customizer_data_status != null) {
    add_action('after_setup_theme', 'theme_options_to_customizer');
    update_option('theme_options_to_customizer_status', 'completed');
}


//Allow sending notice button

function figero_tracking_admin_notice() {
    global $current_user;
    $user_id = $current_user->ID;
    /* Check that the user hasn't already clicked to ignore the message */
    if (!get_user_meta($user_id, 'wp_email_tracking_ignore_notice')) {
        ?>
        <div class="updated um-admin-notice"><p><?php _e('Allow Figero theme to send you setup guide? Opt-in to our newsletter and we will immediately e-mail you a setup guide along with 20% discount which you can use to purchase any theme.', 'figero'); ?></p><p><a href="<?php echo get_template_directory_uri() . '/functions/smtp.php?wp_email_tracking=email_smtp_allow_tracking'; ?>" class="button button-primary"><?php _e('Allow Sending', 'figero'); ?></a>&nbsp;<a href="<?php echo get_template_directory_uri() . '/includes/smtp.php?wp_email_tracking=email_smtp_hide_tracking'; ?>" class="button-secondary"><?php _e('Do not allow', 'figero'); ?></a></p></div>
        <?php
    }
}

add_action('admin_notices', 'figero_tracking_admin_notice');

ob_clean();




?>