<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo('charset'); ?>" />
        <?php
        if (is_front_page() || is_home()) {
            if (figero_get_option('figero_keyword') != '') {
                ?>
                <meta name="keywords" content="<?php echo wp_kses_post(figero_get_option('figero_keyword')); ?>" />
                <?php
            }
            if (figero_get_option('figero_description') != '') {
                ?>
                <meta name="description" content="<?php echo wp_kses_post(figero_get_option('figero_description')); ?>" />
                <?php
            }
            if (figero_get_option('figero_author') != '') {
                ?>
                <meta name="author" content="<?php echo wp_kses_post(figero_get_option('figero_author')); ?>" />
                <?php
            }
        }
        ?>
        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" />
        <link rel="profile" href="//gmpg.org/xfn/11" />
        <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
        <?php
        /* We add some JavaScript to pages with the comment form
         * to support sites with threaded comments (when in use).
         */

        /* Always have wp_head() just before the closing </head>
         * tag of your theme, or you will break many plugins, which
         * generally use this hook to add elements to <head> such
         * as styles, scripts, and meta tags.
         */
        wp_head();
        ?>
    </head>
    <body style="<?php if (figero_get_option('figero_bodybg') != '') { ?>background:url(<?php echo wp_kses_post(figero_get_option('figero_bodybg')); ?>)<?php
    }
    ?>" >
        <!--start container-->
        <div class="header-container">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <div class="header">
                            <div class="row">
                                <div class="col-md-3 col-sm-4">
                                <div class="logo figero_logo">

                              <?php if (figero_is_preview()) { ?>
                              <a class="figero_logo" href="<?php echo esc_url(home_url()); ?>"><img src="<?php echo FIGERO_DIR_URI . 'assets/images/logo.png';?>" alt="<?php bloginfo('name'); ?>" alt="<?php
                                                                         bloginfo('name');
                                                                         _e('logo', 'figero');
                                                                         ?>"/></a>
                             <?php } else if (figero_get_option('figero_logo') != '') { ?>
                                   <a href="<?php echo esc_url(home_url()); ?>"><img src="<?php echo figero_get_option('figero_logo'); ?>" alt="<?php bloginfo('name'); 
                                   ?>" alt="<?php
                                                                         bloginfo('name');
                                                                         _e('logo', 'figero');
                                                                         ?>"/></a>
                               <?php } else { ?>
                                   <hgroup>
                                       <h1 class="site-title"><a href="<?php echo esc_url(home_url('/')); ?>" title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" rel="home"><?php bloginfo('name'); ?></a></h1>
                                       <h5 class="site-description"><?php bloginfo('description'); ?></h5>
                                   </hgroup>
                               <?php } ?>
                           

                           </div>
                                    
                                    
                                    
                                    
                                    
                                </div>
                                <div class="col-md-9 col-sm-8">
                                    <div class="navigation">
                                        <div id="MainNav">
                                            <?php figero_inkthemes_nav(); ?>                       
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--End Header-->
                    </div>
                </div>
                <div class="clear"></div>
            </div>
        </div>
        <div class="clear"></div>
        <!--<div class="top_strip"></div>-->
