<?php
/*
 * The main front page file.
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query. 
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress   
 * 
 */
get_header();
if (figero_get_option('figero_slider_type') != 'text-slider') {
    get_template_part('templates/template', 'slider-parallax');
} else {
    get_template_part('templates/template', 'slider');
}
?>

<div class="index-container first_featured" style="<?php if (figero_get_option('figero_bodybg') != '') { ?>background:url(<?php echo esc_attr(figero_get_option('figero_bodybg')); ?>)<?php
}
?>" >
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <?php get_template_part('templates/template', 'feature'); ?>
            </div>
        </div>
        <div class="clear"></div>
        <?php 
         include_once ABSPATH . 'wp-admin/includes/plugin.php';

 ?>

    </div>
    <!--<div class="container-strip"></div>-->
</div>

<!-- Second Feature Area-->
<?php get_template_part('templates/template', 'second-feature'); ?>
<!-- Second Feature Area End-->
<div class="clear"></div>

<!--start content-->
<div class="index-container" style="<?php if (figero_get_option('figero_bodybg') != '') { ?>background:url(<?php echo esc_url(figero_get_option('figero_bodybg')); ?>)<?php
}
?>">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="recent-blog-wrapper">
<h3 class="carousel-latest-head figero_blog_head"><?php echo (figero_get_option('figero_blog_head') != '') ? esc_attr(figero_get_option('figero_blog_head')) : 'Latest Blog'; ?></h3>
                    


<?php
    if (figero_is_preview()) { ?>

<div id="recent-blog-container" class="owl-carousel">
                        <?php
                        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
                        $args = array(
                            'paged' => $paged,
                            'post_type' => 'post'
                        );
                        $wp_query = new WP_Query($args);
                        if (have_posts()) : while (have_posts()) : the_post();
                                if (figero_is_preview()) {
                                    ?>
                                    <div>
                                        <div class="bottom-content">
                                            <div class="carousel-img-container">
                                                <?php
                                               
                                                    the_post_thumbnail (array(697, 348));
                                               
                                                ?>
                                            </div>
                                            <small>
                                                <p class="light"><?php
                                                    printf(__('Posted by %1$s in %2$s', 'figero'), sprintf('<a href="%1$s">%2$s</a>', esc_url(get_author_posts_url(get_the_author_meta('ID'))), esc_html(get_the_author())
                                                            ), sprintf('<a href="%1$s" rel="bookmark">%2$s</a>', esc_url(get_permalink()), get_the_date('M, Y')
                                                            )
                                                    );
                                                    ?>
                                                </p>
                                            </small>
                                            <p class="carousel-blog-head"><?php wp_kses_post(the_title()); ?></p>
                                        </div>
                                    </div>
                                    <?php
                                }
                            endwhile;
                        endif;
                        ?>
                    </div>
<?php } else { ?>

                    <div id="recent-blog-container" class="owl-carousel">
                        <?php
                        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
                        $args = array(
                            'paged' => $paged,
                            'post_type' => 'post'
                        );
                        $wp_query = new WP_Query($args);
                        if (have_posts()) : while (have_posts()) : the_post();
                                if ((function_exists('has_post_thumbnail')) && (has_post_thumbnail())) {
                                    ?>
                                    <div>
                                        <div class="bottom-content">
                                            <div class="carousel-img-container">
                                                <?php
                                                if ((function_exists('has_post_thumbnail')) && (has_post_thumbnail())) {
                                                    figero_get_thumbnail(697, 348);
                                                } else {
                                                    figero_get_image(697, 348);
                                                }
                                                ?>
                                            </div>
                                            <small>
                                                <p class="light"><?php
                                                    printf(__('Posted by %1$s in %2$s', 'figero'), sprintf('<a href="%1$s">%2$s</a>', esc_url(get_author_posts_url(get_the_author_meta('ID'))), esc_html(get_the_author())
                                                            ), sprintf('<a href="%1$s" rel="bookmark">%2$s</a>', esc_url(get_permalink()), get_the_date('M, Y')
                                                            )
                                                    );
                                                    ?>
                                                </p>
                                            </small>
                                            <p class="carousel-blog-head"><?php wp_kses_post(the_title()); ?></p>
                                        </div>
                                    </div>
                                    <?php
                                }
                            endwhile;
                        endif;
                        ?>
                    </div>

<?php } ?>

                </div>
            </div>
        </div>
    </div>
    <div class="clear"></div>
</div>
</div>
<!--end content-->
<!--start box-->
<!--end box-->

<?php
get_footer();
