<?php

function ge_ctUp_wdScript() {
    wp_enqueue_media();
}

add_action('admin_enqueue_scripts', 'ge_ctUp_wdScript');

class ge_about_me_Widget_With_Thumbnails extends WP_Widget {

    /**
     * Sets up the widgets name etc
     */
    public function __construct() {
        $widget_ops = array(
            'classname' => 'about_me_widget',
            'description' => __('Widget to display information about author', 'figero'),
        );
        parent::__construct('about', __('About Me Widget', 'figero'), $widget_ops);
    }

    /**
     * Outputs the content of the widget
     *
     * @param array $args
     * @param array $instance
     */
    public function widget($args, $instance) {

        wp_enqueue_style('ge-aboutmewidget', get_template_directory_uri() . "/includes/about-me-widget/css/about-me-widget.css", '', '', 'all');

        echo $args['before_widget'];
        if (!empty($instance['title'])) {
            echo $args['before_title'] . apply_filters('widget_title', $instance['title']) . $args['after_title'];
        }
        $_desc = $instance['owner_desc'];
        $_img = $instance['owner_img'];
        ?>
        <div class="about_container">   
            <img src="<?php echo $_img; ?>"/>
            <div class="user_desc"><?php echo $_desc; ?></div>
        </div>
        <?php
        echo $args['after_widget'];
    }

    /**
     * Outputs the options form on admin
     * @param array $instance The widget options
     */
    public function form($instance) {
        $title = !empty($instance['title']) ? $instance['title'] : __('About Me', 'figero');
        $owner_desc = !empty($instance['owner_desc']) ? $instance['owner_desc'] : __('Hello here is awesome WordPress themes for bloggers and you should purchase and use from today.', 'figero');
        $owner_img = !empty($instance['owner_img']) ? $instance['owner_img'] : get_template_directory_uri() . '/includes/about-me-widget/images/client.jpg';
        ?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'figero'); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>">
            <label for="<?php echo $this->get_field_id('owner_desc'); ?>"><?php _e('Description:', 'figero'); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id('owner_desc'); ?>" name="<?php echo $this->get_field_name('owner_desc'); ?>" type="text" value="<?php echo esc_attr($owner_desc); ?>">

            <!--<div class="form-field">-->
            <label for="property_category_image"><?php _e('Category Image:', 'figero'); ?></label>
            <input type="text" name="<?php echo $this->get_field_name('owner_img'); ?>" id="property_category_image" class="property-category-img widefat" value="<?php echo esc_attr($owner_img); ?>">

            <input class="upload_image_button button" name="_add_property_category_image" id="_add_property_category_image" type="button" value="Select/Upload Image" />
        <style>
            div.img-wrap {
                background-size:contain; 
                max-width: 450px; 
                max-height: 150px; 
                width: 100%; 
                height: 100%; 
                overflow:hidden; 
            }
            div.img-wrap img {
                max-width: 450px;
            }
            input[type=text].widefat,textArea{
                margin-bottom: 10px;
            }
        </style>
        <script>
            jQuery(document).ready(function () {
                jQuery('body').on('click', '#_add_property_category_image', function (e) {
                    wp.media.editor.send.attachment = function (props, attachment) {
                        jQuery('.property-category-img').val(attachment.url);
                    }
                    wp.media.editor.open(this);
                    return false;
                });
            });
        </script>
        <!--</div>-->
        </p>
        <?php
    }

    /**
     * Processing widget options on save
     * @param array $new_instance The new options
     * @param array $old_instance The previous options
     */
    public function update($new_instance, $old_instance) {
        // processes widget options to be saved
        $instance = array();
        $instance['title'] = (!empty($new_instance['title']) ) ? strip_tags($new_instance['title']) : __('About me', 'figero');
        $instance['owner_desc'] = (!empty($new_instance['owner_desc']) ) ? strip_tags($new_instance['owner_desc']) : 'Hello here is awesome WordPress themes for bloggers and you should purchase and use from today.';
        $instance['owner_img'] = (!empty($new_instance['owner_img']) ) ? strip_tags($new_instance['owner_img']) : get_template_directory_uri() . '/includes/about-me-widget/images/client.jpg';
        ;
        return $instance;
    }

}

/**
 * Register widget on init
 *
 * @since 1.0   
 */
function ge_register_about_me_widget_with_thumbnails() {
    register_widget('ge_about_me_Widget_With_Thumbnails');
}

add_action('widgets_init', 'ge_register_about_me_widget_with_thumbnails', 1);
?>