<?php
/* Function to create 
 * a paypal button
 */

function figero_paypal_button() {
    global $product_title, $paypal_email, $thank_page_URL, $cancel_page_URL, $product_price, $image_url;
    if ($product_title && $paypal_email && $product_price) {
        $curreny_icon = (figero_get_option('figero_currency_option')) ? wp_kses_post(figero_get_option('figero_currency_option')) : '$';
        switch ($curreny_icon) {
            case "A$":
                $curreny_code = 'AUD';
                break;
            case "R$":
                $curreny_code = 'BRL';
                break;
            case "$":
                $curreny_code = 'CAD';
                break;
            case "Kc":
                $curreny_code = 'CZK';
                break;
            case "Kr":
                $curreny_code = 'DKK';
                break;
            case "€":
                $curreny_code = 'EUR';
                break;
            case "$":
                $curreny_code = 'HKD';
                break;
            case "Ft":
                $curreny_code = 'HUF';
                break;
            case "ILS":
                $curreny_code = 'ILS';
                break;
            case "¥":
                $curreny_code = 'JPY';
                break;
            case "RM":
                $curreny_code = 'MYR';
                break;
            case "$":
                $curreny_code = 'MXN';
                break;
            case "Kr":
                $curreny_code = 'NOK';
                break;
            case "$":
                $curreny_code = 'NZD';
                break;
            case "₱":
                $curreny_code = 'PHP';
                break;
            case "zl":
                $curreny_code = 'PLN';
                break;
            case "£":
                $curreny_code = 'GBP';
                break;
            case "$":
                $curreny_code = 'SGD';
                break;
            case "kr":
                $curreny_code = 'SEK';
                break;
            case "CHF":
                $curreny_code = 'CHF';
                break;
            case "NT$":
                $curreny_code = 'TWD';
                break;
            case "THB":
                $curreny_code = 'THB';
                break;
            case "TRY":
                $curreny_code = 'TRY';
                break;
            case "$":
                $curreny_code = 'USD';
                break;
            default:
                $curreny_code = 'USD';
                break;
        }
        ?>
        <div class="buttons">
            <div class='price'><span><?php echo __('Price: ' . $curreny_icon . $product_price, 'figero'); ?></span></div>           
            <object><form action="https://www.paypal.com/cgi-bin/webscr" method="post" onsubmit="return ReadForm1(this, 2);">
                    <input type="hidden" name="product_name_tmp1" value="<?php echo $product_title; ?>" />
                    <input type="hidden" name="price_tmp1" value="<?php echo $product_price; ?>" />
                    <input type="hidden" name="cmd" value="_xclick" />
                    <input type="hidden" name="business" value="<?php echo $paypal_email; ?>" />
                    <input type="hidden" name="item_name" value="<?php echo $product_title; ?>" />
                    <input type="hidden" name="amount" value="<?php echo $product_price; ?>" />
                    <input type="hidden" name="currency_code" value="<?php echo $curreny_code ?>" />
                    <input type="hidden" name="item_number" value="1" />
                    <input type="hidden" name="no_shipping" value='1' />
                    <input type="hidden" name="notify_url" value="<?php echo $thank_page_URL; ?>" />
                    <input type="hidden" name="return" value="<?php echo $thank_page_URL; ?>" />
                    <input type="hidden" name="cancel_return" value="<?php echo $cancel_page_URL; ?>" />
                    <input type="hidden" name="mrb" value="3FWGC6LFTMTUG" />
                    <input type="hidden" name="cbt" value="" />
                    <input type="hidden" name="page_style" value="" />  
                    <?php if ($image_url) { ?>
                        <input type="image" src="<?php echo $image_url; ?>" class="paypal_btn" alt="Buy Now"/>
                    <?php } else { ?>
                        <input type="image" src="<?php echo FIGERO_DIR_URI; ?>assets/images/buy-now.png" class="paypal_btn" alt="Buy Now"/>
                    <?php } ?>
                </form>
            </object>
        </div>
        <?php
    } else {
        
    }
}

/* This function creates 
 * a paypal button on
 * homepage
 */

function figero_home_paypal_button() {
    global $p_title, $p_email, $p_thank_page_URL, $p_cancel_page_URL, $p_product_price, $p_image_url;
    $p_title = figero_get_option('p_title');
    $p_email = figero_get_option('p_email');
    $p_thank_page_URL = figero_get_option('p_thank');
    $p_cancel_page_URL = figero_get_option('p_cancel');
    $p_product_price = figero_get_option('p_price');
    $p_image_url = figero_get_option('p_img');
    if ($p_title && $p_email && $p_product_price) {
        $curreny_icon = (figero_get_option('figero_currency_option')) ? wp_kses_post(figero_get_option('figero_currency_option')) : '$';
        switch ($curreny_icon) {
            case "A$":
                $curreny_code = 'AUD';
                break;
            case "R$":
                $curreny_code = 'BRL';
                break;
            case "$":
                $curreny_code = 'CAD';
                break;
            case "Kc":
                $curreny_code = 'CZK';
                break;
            case "Kr":
                $curreny_code = 'DKK';
                break;
            case "€":
                $curreny_code = 'EUR';
                break;
            case "$":
                $curreny_code = 'HKD';
                break;
            case "Ft":
                $curreny_code = 'HUF';
                break;
            case "ILS":
                $curreny_code = 'ILS';
                break;
            case "¥":
                $curreny_code = 'JPY';
                break;
            case "RM":
                $curreny_code = 'MYR';
                break;
            case "$":
                $curreny_code = 'MXN';
                break;
            case "Kr":
                $curreny_code = 'NOK';
                break;
            case "$":
                $curreny_code = 'NZD';
                break;
            case "₱":
                $curreny_code = 'PHP';
                break;
            case "zl":
                $curreny_code = 'PLN';
                break;
            case "£":
                $curreny_code = 'GBP';
                break;
            case "$":
                $curreny_code = 'SGD';
                break;
            case "kr":
                $curreny_code = 'SEK';
                break;
            case "CHF":
                $curreny_code = 'CHF';
                break;
            case "NT$":
                $curreny_code = 'TWD';
                break;
            case "THB":
                $curreny_code = 'THB';
                break;
            case "TRY":
                $curreny_code = 'TRY';
                break;
            case "$":
                $curreny_code = 'USD';
                break;
            default:
                $curreny_code = 'USD';
                break;
        }
        ?>
        <div class="buttons">    
            <div class="price"></div>
            <object><form action="https://www.paypal.com/cgi-bin/webscr" method="post" onsubmit="return ReadForm1(this, 2);">
                    <input type="hidden" name="product_name_tmp1" value="<?php echo $p_title; ?>" />
                    <input type="hidden" name="price_tmp1" value="<?php echo $p_product_price; ?>" />
                    <input type="hidden" name="cmd" value="_xclick" />
                    <input type="hidden" name="business" value="<?php echo $p_email; ?>" />
                    <input type="hidden" name="item_name" value="<?php echo $p_title; ?>" />
                    <input type="hidden" name="amount" value="<?php echo $p_product_price; ?>" />
                    <input type="hidden" name="currency_code" value="<?php echo $curreny_code ?>" />
                    <input type="hidden" name="item_number" value="1" />
                    <input type="hidden" name="no_shipping" value='1' />
                    <input type="hidden" name="notify_url" value="<?php echo $p_thank_page_URL; ?>" />
                    <input type="hidden" name="return" value="<?php echo $p_thank_page_URL; ?>" />
                    <input type="hidden" name="cancel_return" value="<?php echo $p_cancel_page_URL; ?>" />
                    <input type="hidden" name="mrb" value="3FWGC6LFTMTUG" />
                    <input type="hidden" name="cbt" value="" />
                    <input type="hidden" name="page_style" value="" />  
                    <?php if ($p_image_url) { ?>
                        <input type="image" src="<?php echo $p_image_url; ?>" class="paypal_btn" alt="Buy Now"/>
                    <?php } else { ?>
                        <div class="paypalsubmit hvr-shutter-out-horizontal hide_sec">
                            <input type="submit" class="paypalsubmit_button" class="paypal_btn" alt="Buy Now" value="<?php echo (figero_get_option('figero_bottom_feature_buynow_btntext') != '') ? figero_get_option('figero_bottom_feature_buynow_btntext') : 'Buy Now'; ?>"/>
                        </div>
                    <?php } ?>
                </form>
            </object>
        </div>
        <?php
    } else {
        
    }
}
?>
