<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

function figero_customize_register($wp_customize) {
    $wp_customize->get_setting('blogname')->transport = 'postMessage';
    $wp_customize->get_setting('blogdescription')->transport = 'postMessage';
//	$wp_customize->get_setting( 'header_textcolor' )->transport  = 'postMessage';


    $wp_customize->selective_refresh->add_partial('blogname', array(
        'selector' => '.site-title a',
        'render_callback' => 'figero_customize_partial_blogname',
    ));
    $wp_customize->selective_refresh->add_partial('blogdescription', array(
        'selector' => '.site-description',
        'render_callback' => 'figero_customize_partial_blogdescription',
    ));

    // Load the radio image control class.
    require_once( trailingslashit(get_template_directory()) . 'includes/load.php' );

    // Register the radio image control class as a JS control type.
    $wp_customize->register_control_type('Figero_Customize_Control_Radio_Image');

    // Add a custom layout section.
    $wp_customize->add_section('layout', array('title' => esc_html__('Blog & Page Layout', 'figero'),
    'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Blog & Page Layout ! </h3><br/> Allows you to align left, right, center your Blog & Page Layout for Figero Theme.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),

        'priority' => '2'));

    // Add the layout setting.
    $wp_customize->add_setting(
        'blog-layout', array(
        'type' => 'option',
        'default' => 'content-sidebar',
        'sanitize_callback' => 'sanitize_key',
            )
    );
    $wp_customize->add_setting(
        'page-layout', array(
        'type' => 'option',
        'default' => 'content-sidebar',
        'sanitize_callback' => 'sanitize_key',
            )
    );
    // Add the layout control.
    $wp_customize->add_control(
            new Figero_Customize_Control_Radio_Image(
            $wp_customize, 'blog-layout', array(
        'label' => esc_html__('Blog Sidebar Layout', 'figero'),
        'section' => 'layout',
        'choices' => array(
            'content-sidebar' => array(
                'label' => esc_html__('Left Layout', 'figero'),
                'url' => get_template_directory_uri() . '/assets/images/right-sidebar.jpg'
            ),
            'sidebar-content' => array(
                'label' => esc_html__('Right Layout', 'figero'),
                'url' => get_template_directory_uri() . '/assets/images/left-sidebar.jpg'
            ),
            'content' => array(
                'label' => esc_html__('Center Layout', 'figero'),
                'url' => get_template_directory_uri() . '/assets/images/center.jpg'
            )
        )
            )
            )
    );
    // Add the layout control.
    $wp_customize->add_control(
        new Figero_Customize_Control_Radio_Image(
        $wp_customize, 'page-layout', array(
        'label' => esc_html__('Page Sidebar Layout', 'figero'),
        'section' => 'layout',
        'choices' => array(
            'content-sidebar' => array(
                'label' => esc_html__('Left Layout', 'figero'),
                'url' => get_template_directory_uri() . '/assets/images/left-sidebar2.jpg'
            ),
            'sidebar-content' => array(
                'label' => esc_html__('Right Layout', 'figero'),
                'url' => get_template_directory_uri() . '/assets/images/right-sidebar2.jpg'
            ),
            'content' => array(
                'label' => esc_html__('Center Layout', 'figero'),
                'url' => get_template_directory_uri() . '/assets/images/center2.jpg'
            )
        )
            )
            )
    );
}

add_action('customize_register', 'figero_customize_register');

class inkthemes_Customizer {

    public static function inkthemes_Register($wp_customize) {

        self::inkthemes_Sections($wp_customize);

        self::inkthemes_Controls($wp_customize);
    }

    public static function inkthemes_Sections($wp_customize) {



        /**
         * Custom Logo
         */
        $wp_customize->add_section('title_tagline', array(
            'title' => __('Site Title & Tagline Settings', 'figero'),
            'description' => __('Allows you to setup site title and tagline for Figero Theme.', 'figero'),
            'priority' => '1',
            'panel' => '',
            'capability' => 'edit_theme_options'
        ));

        /**
         * Remove control for site icon
         */
        $wp_customize->remove_control('site_icon');
        $wp_customize->remove_control('custom_logo');
        
        /**
        * Home Page Settings
        */
       $wp_customize->add_section('static_front_page', array(
           'title' => __('Home Page Settings', 'figero'),
           'description' => __('Allows you to setup Homepage for Figero Theme.', 'figero'),
           'priority' => '3',
           'capability' => 'edit_theme_options'
       ));

        /**
         * Background Image Section
         */
        $wp_customize->add_section('background_image', array(
            'title' => __('Background Image Setting', 'figero'),
            'description' => __('Allows you to change background image for Figero Theme. This will overright the background color property', 'figero'),
            'priority' => '5',
            'panel' => '',
            'capability' => 'edit_theme_options'
        ));

        /**
         * Breadcrumb Background Image
         */
        $wp_customize->add_section('background_Breadcrumb_image', array(
            'title' => __('Breadcrumb Background Image', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Breadcrumb Background Image ! </h3><br/> Allows you to change Breadcrumb Background Image for Figero Theme. This will overright the background color property", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'priority' => '6',
            'panel' => '',
            'capability' => 'edit_theme_options'
        ));

        /**
         * Typography =====
         */
        // add Typography section
        $wp_customize->add_section('figero_typography', array(
            'title' => __('Typography', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Typography Settings ! </h3><br/> Allows you to change Font Styles for Figero Theme. This will overright the background color property", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'priority' => '7',
            'capability' => 'edit_theme_options'
        ));

        /**
         * Add panel for Styling Options
         */
        $wp_customize->add_panel('styling_options', array(
            'title' => __('Styling Options', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Styling Options ! </h3><br/> Allows you to setup Styling Options for Figero Theme.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'priority' => '18',
            'capability' => 'edit_theme_options'
        ));

        /**
         * Theme Stylesheet
         */
        $wp_customize->add_section('theme_stylesheet', array(
            'title' => __('Theme Stylesheet', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Theme Stylesheet ! </h3><br/> Allows you to set the color of the theme from different available colors.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'priority' => '',
            'panel' => 'styling_options'
        ));

        /**
         * Theme Language
         */
        $wp_customize->add_section('theme_language', array(
            'title' => __('Theme Language', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Theme Language ! </h3><br/> Allows you to change the theme content display from left-right to right-left i.e. switching it to RTL.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'priority' => '',
            'panel' => 'styling_options'
        ));

        /**
         * Add panel for SEO Options
         */
        $wp_customize->add_panel('seo_options_panel', array(
            'title' => __('SEO Options', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over SEO Options ! </h3><br/> Allows you to setup SEO Options section for Figero Theme.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'priority' => '19',
            'capability' => 'edit_theme_options'
        ));
        
        /**
         * Meta Keywords (comma separated)
         */
        $wp_customize->add_section('meta_keyword', array(
            'title' => __('Meta Keywords (comma separated)', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Meta Keywords ! </h3><br/> Allows you to setup Meta Keywords (comma separated) for Figero Theme.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'priority' => '',
            'panel' => 'seo_options_panel'
        ));

        /**
         * Meta Description
         */
        $wp_customize->add_section('meta_desc', array(
            'title' => __('Meta Description', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Meta Description ! </h3><br/> Allows you to setup Meta Description for Figero Theme.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'priority' => '',
            'panel' => 'seo_options_panel'
        ));

        /**
         * Meta Author Name
         */
        $wp_customize->add_section('meta_author_name', array(
            'title' => __('Meta Author Name', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Meta Description ! </h3><br/> Allows you to setup Meta Author Name for Figero Theme.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'priority' => '',
            'panel' => 'seo_options_panel'
        ));
              
         /**
         * Tracking Code Section
         */
        $wp_customize->add_section('tracking_code_setting', array(
            'title' => __('Google Analytics Tracking Code', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Google Analytics Tracking Code ! </h3><br/> Allows you to track code for Figero Theme.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'panel' => '',
            'priority' => '20',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home page slider panel
         */
        $wp_customize->add_panel('home_page_slider_panel', array(
            'title' => __('Home Page Slider Settings', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Home Page Slider Settings ! </h3><br/> Allows you to setup home page slider for Figero Theme.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'priority' => '8',
            'capability' => 'edit_theme_options'
        ));

        /**
         * Slider control section
         */
        $wp_customize->add_section('home_page_slider_control', array(
            'title' => __('Home Page Slider', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Home Page Slider ! </h3><br/> Allows you to select type of slider which you want you use as per your requirement.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Slider control section
         */
        $wp_customize->add_section('home_page_slider_overlay_color', array(
            'title' => __('Slider Overlay Color', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Slider Overlay Color ! </h3><br/> Allows you to select type of slider overlay color which you want you use as per your requirement.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Slider Speed Section
         */
        $wp_customize->add_section('home_page_slider_speed', array(
            'title' => __('Slider Speed', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Slider Speed ! </h3><br/> Allows you to control the  slider speed as per your requirement.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Slider control section
         */
        $wp_customize->add_section('home_page_parallax_image', array(
            'title' => __('Slider Parallax Image', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Slider Parallax Image ! </h3><br/> Allows you to change slider parallax image which you want you use as per your requirement.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );


        /**
         * First Slider section
         */
        $wp_customize->add_section('home_page_slider_1', array(
            'title' => __('First Slider', 'figero'),
            'description' => __('Allows you to setup first slider for Figero Theme.', 'figero'), //Descriptive tooltip
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Second Slider section
         */
        $wp_customize->add_section('home_page_slider_2', array(
            'title' => __('Second Slider', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Second Slider ! </h3><br/> Allows you to setup second slider for Figero Theme.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Third Slider section
         */
        $wp_customize->add_section('home_page_slider_3', array(
            'title' => __('Third Slider', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Third Slider ! </h3><br/> Allows you to setup third slider for Figero Theme.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Fourth Slider section
         */
        $wp_customize->add_section('home_page_slider_4', array(
            'title' => __('Fourth Slider', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Fourth Slider ! </h3><br/> Allows you to setup fourth slider for Figero Theme.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Fifth Slider section
         */
        $wp_customize->add_section('home_page_slider_5', array(
            'title' => __('Fifth Slider', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Fifth Slider ! </h3><br/> Allows you to setup fifth slider for Figero Theme.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Sixth Slider section
         */
        $wp_customize->add_section('home_page_slider_6', array(
            'title' => __('Sixth Slider', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Sixth Slider ! </h3><br/> Allows you to setup sixth slider for Figero Theme.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home Page Feature area panel
         */
        $wp_customize->add_panel('home_feature_area_panel', array(
            'title' => __('Home Page Feature Area Settings', 'figero'),
            'description' => __('Allows you to setup home page feature area section for Figero Theme.', 'figero'),
            'priority' => '9',
            'capability' => 'edit_theme_options'
        ));

        /**
         * Home page feature area heading section
         */
        $wp_customize->add_section('home_page_feature_heading', array(
            'title' => __('Main Heading Setting', 'figero'),
            'description' => __('Allows you to setup main heading for Figero Theme.', 'figero'), //Descriptive tooltip
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home Page feature area 1
         */
        $wp_customize->add_section('home_feature_area_1', array(
            'title' => __('First Feature Area', 'figero'),
            'description' => __('Allows you to setup first feature area section for Figero Theme.', 'figero'),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home Page feature area 2
         */
        $wp_customize->add_section('home_feature_area_2', array(
            'title' => __('Second Feature Area', 'figero'),
            'description' => __('Allows you to setup second feature area section for Figero Theme.', 'figero'),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home Page feature area 3
         */
        $wp_customize->add_section('home_feature_area_3', array(
            'title' => __('Third Feature Area', 'figero'),
            'description' => __('Allows you to setup third feature area section for Figero Theme.', 'figero'),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );


        /**
         * Home Page feature area 4
         */
        $wp_customize->add_section('home_feature_area_4', array(
            'title' => __('Fourth Feature Area', 'figero'),
            'description' => __('Allows you to setup Fourth feature area section for Figero Theme.', 'figero'),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home Page feature area 4
         */
        $wp_customize->add_section('home_feature_area_on_off', array(
            'title' => __('Column Feature Area On/Off', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Column Feature Area On/Off ! </h3><br/> Allows you to show or hide feature area section for figero Theme.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home Page Parallax Feature area panel
         */
        $wp_customize->add_panel('parallax_feature_area_panel', array(
            'title' => __('Parallax Feature Area Settings', 'figero'),
            'description' => __('Allows you to setup Home Page Parallax Feature area section for Figero Theme.', 'figero'),
            'priority' => '10',
            'capability' => 'edit_theme_options'
        ));

        /**
         * Feature Parallax Image
         */
        $wp_customize->add_section('home_feature_parallax_image', array(
            'title' => __('Feature Parallax Image', 'figero'),
            'description' => __('Allows you to setupFeature Parallax Image for Figero Theme.', 'figero'), //Descriptive tooltip
            'panel' => 'parallax_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Font Color Settings
         */
        $wp_customize->add_section('home_feature_parallax_color', array(
            'title' => __('Font Color Settings', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Font Color Settings ! </h3><br/> Allows you to setup Font Color Settings for Figero Theme.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),

            'description' => __('Allows you to setup Font Color Settings for Figero Theme.', 'figero'),
            'panel' => 'parallax_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Right Column Settings
         */
        $wp_customize->add_section('home_feature_right_column', array(
            'title' => __('Right Column Settings', 'figero'),
            'description' => __('Allows you to setup Right Column feature area section for Figero Theme.', 'figero'),
            'panel' => 'parallax_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Left Column Settings
         */
        $wp_customize->add_section('home_feature_left_column', array(
            'title' => __('Left Column Settings', 'figero'),
            'description' => __('Allows you to setup Left Column feature area section for Figero Theme.', 'figero'),
            'panel' => 'parallax_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Bottom Feature Settings
         */
        $wp_customize->add_section('home_bottom_feature', array(
            'title' => __('Bottom Feature Settings', 'figero'),
            'description' => __('Allows you to setup Bottom Feature Section for Figero Theme.', 'figero'), //Descriptive tooltip
            'panel' => '',
            'priority' => '11',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Contact Us Settings
         */
        $wp_customize->add_section('home_contact_us', array(
            'title' => __('Contact Us Setting', 'figero'),
            'description' => __('Allows you to setup Contact Us Setting Section for Figero Theme.', 'figero'), //Descriptive tooltip
            'panel' => '',
            'priority' => '12',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * front page WooCommerce settings
         */
        $wp_customize->add_section('home_woocommerce_setting', array(
            'title' => __('WooCommerce Settings', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over WooCommerce Settings ! </h3><br/> Allows you to setup WooCommerce Setting Section for Figero Theme", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'panel' => '',
            'priority' => '13',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home Page Paypal Integration
         */
        $wp_customize->add_section('home_integration_setting', array(
            'title' => __('Paypal Integration Settings', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Paypal Integration Settings ! </h3><br/> Allows you to setup Paypal Integration Setting Section for Figero Theme.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'panel' => '',
            'priority' => '14',
            'capability' => 'edit_theme_options'
                )
        );

        /*
         * * Social Media =====
         */

        // add social media section
        $wp_customize->add_section('figero_social_media', array(
            'title' => esc_html__('Social Icons', 'figero'),
            'description' => __('Allows you to setup footer social icon for figero Theme.', 'figero'),
            'priority' => '15',
            'capability' => 'edit_theme_options'
        ));
        
         /**
         * Footer Widget On/Off
         */
        $wp_customize->add_section('footer_widgets_onoff', array(
            'title' => __('Footer Widgets On/Off', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Footer Widgets On/Off Settings ! </h3><br/> Allows you to turn On and Off footer area widgets for figero Theme.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),
            'priority' => '22',
            'panel' => ''
        ));

        /**
         * Footer Setting
         */
        $wp_customize->add_section('traffica_footer_text', array(
            'title' => __('Bottom Footer Settings', 'figero'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Bottom Footer Settings ! </h3><br/> Allows you to set footer text for Figero Theme.", 'figero' ), esc_url( 'https://www.inkthemes.com/market/flexible-wordpress-theme/' ) ),

            'priority' => '16',
            'panel' => ''
        ));

        /**
         * Captcha Setting
         */
        $wp_customize->add_section('home_catcha_setting', array(
            'title' => __('Captcha Settings', 'figero'),
            'description' => __('Allows you to Captcha option for Figero Theme.', 'figero'),
            'priority' => '17',
            'panel' => ''
        ));
    }

    public static function inkthemes_Section_Content() {

        $section_content = array(
            'title_tagline' => array(
                'figero_logo',
                'figero_favicon'
            ),
            'tracking_code_setting' => array(
                'figero_analytics'
            ),

            'background_Breadcrumb_image' => array(
                'figero_breadcrumb_bg'
            ),
            'figero_typography' => array(
                'typography_logo_family',
                'typography_nav_family'
            ),
            'home_page_slider_control' => array(
                'figero_slider_type'
            ),
            'home_page_slider_overlay_color' => array(
                'figero_slider_overlay_color'
            ),
            'home_page_slider_speed' => array(
                'figero_slide_speed'
            ),
            'home_page_parallax_image' => array(
                'figero_slider_parallax_image'
            ),
            'home_page_slider_1' => array(
                'figero_slideheading1',
                'figero_slidedescription1',
                'figero_slidel_rb_1',
                'figero_slidel_r_1',
                'figero_slidel_lb_1',
                'figero_slidel_l_1',
                'figero_slideimage1'
            ),
            'home_page_slider_2' => array(
                'figero_slideheading2',
                'figero_slidedescription2',
                'figero_slidel_rb_2',
                'figero_slidel_r_2',
                'figero_slidel_lb_2',
                'figero_slidel_l_2',
                'figero_slideimage2'
            ),
            'home_page_slider_3' => array(
                'figero_slideheading3',
                'figero_slidedescription3',
                'figero_slidel_rb_3',
                'figero_slidel_r_3',
                'figero_slidel_lb_3',
                'figero_slidel_l_3',
                'figero_slideimage3'
            ),
            'home_page_slider_4' => array(
                'figero_slideheading4',
                'figero_slidedescription4',
                'figero_slidel_rb_4',
                'figero_slidel_r_4',
                'figero_slidel_lb_4',
                'figero_slidel_l_4',
                'figero_slideimage4'
            ),
            'home_page_slider_5' => array(
                'figero_slideheading5',
                'figero_slidedescription5',
                'figero_slidel_rb_5',
                'figero_slidel_r_5',
                'figero_slidel_lb_5',
                'figero_slidel_l_5',
                'figero_slideimage5'
            ),
            'home_page_slider_6' => array(
                'figero_slideheading6',
                'figero_slidedescription6',
                'figero_slidel_rb_6',
                'figero_slidel_r_6',
                'figero_slidel_lb_6',
                'figero_slidel_l_6',
                'figero_slideimage6'
            ),
            'home_page_feature_heading' => array(
                'figero_featured_main_head',
                'figero_featured_main_desc'
            ),
            'home_feature_area_1' => array(
                'figero_featured_img_1',
                'figero_featured_h_1',
                'figero_featured_1',
                'figero_featured_btn_text_1',
                'figero_featured_link_1'
            ),
            'home_feature_area_2' => array(
                'figero_featured_img_2',
                'figero_featured_h_2',
                'figero_featured_2',
                'figero_featured_btn_text_2',
                'figero_featured_link_2'
            ),
            'home_feature_area_3' => array(
                'figero_featured_img_3',
                'figero_featured_h_3',
                'figero_featured_3',
                'figero_featured_btn_text_3',
                'figero_featured_link_3'
            ),
            'home_feature_area_4' => array(
                'figero_featured_img_4',
                'figero_featured_h_4',
                'figero_featured_4',
                'figero_featured_btn_text_4',
                'figero_featured_link_4'
            ),
            
            'home_feature_area_on_off' => array(
                'figero_home_feature_option',
                'figero_feature_select'
            ),
            
            'home_feature_parallax_image' => array(
                'figero_feature_parallax_image'
            ),
            'home_feature_parallax_color' => array(
                'flex_head_col_font_color',
                'flex_para_col_font_color',
                'flex_left_col_bg_color',
                'flex_right_col_bg_color'
            ),
            'home_feature_right_column' => array(

                'figero_headline1',
                'figero_feature1'
            ),
            'home_feature_left_column' => array(

                'figero_headline2',
                'figero_testo_desc1'
            ),
            
//            'home_feature_parallax_on_off' => array(
//                'figero_home_feature_second_option'
//            ),
            
            'home_bottom_feature' => array(
                'figero_bottom_feature_head',
                'figero_bottom_feature_link',
                'full_cols_desc',
                'figero_bottom_feature_readmore_btntext'
            ),
            'home_contact_us' => array(
                'figero_contact_us_feature_head',
                'figero_contact_us_feature_desc',
                'figero_feature_map'
            ),
            'home_woocommerce_setting' => array(
                'home_shop_section',
                'figero_home_shop_section_heading',
                'figero_home_shop_category',
                'figero_home_shop_product_column',
                'figero_home_shop_product_number'
            ),
            'home_integration_setting' => array(
                'p_title',
                'p_email',
                'p_thank',
                'p_cancel',
                'p_price',
                'figero_bottom_feature_buynow_btntext',
                'p_img',
                'figero_currency_option'
            ),
            'theme_stylesheet' => array(
                'figero_altstylesheet'
            ),
            'theme_language' => array(
                'figero_lanstylesheet'
            ),
            'meta_keyword' => array(
                'figero_keyword'
            ),
            'meta_desc' => array(
                'figero_description'
            ),
            'meta_author_name' => array(
                'figero_author'
            ),

            'figero_social_media' => array(
                'social_media_icon_1',
                'social_media_url_1',
                'social_media_icon_2',
                'social_media_url_2',
                'social_media_icon_3',
                'social_media_url_3',
                'social_media_icon_4',
                'social_media_url_4'

            ),
           'footer_widgets_onoff' => array(
               'footer_widget_column_on_off',
                'footer_widget_on_off'
            ),

            'traffica_footer_text' => array(
                'about_agency',
                'figero_cright'
            ),
            'home_catcha_setting' => array(
                'figero_contact_captcha',
                'figero_captcha_site_key',
                'figero_captcha_secret_key'
            ),
        );
        return $section_content;
    }

    public static function inkthemes_Settings() {
        // Social Icons Array
        $social_icons = array(
            'facebook' => '&#xf09a;',
            'facebook-official' => '&#xf230;',
            'facebook-square' => '&#xf082;',
            'twitter' => '&#xf099;',
            'twitter-square' => '&#xf081;',
            'google' => '&#xf1a0;',
            'google-plus' => '&#xf0d5;',
            'google-plus-official' => '&#xf2b3;',
            'google-plus-square' => '&#xf0d4;',
            'linkedin' => '&#xf0e1;',
            'linkedin-square' => '&#xf08c;',
            'pinterest' => '&#xf0d2;',
            'pinterest-p' => '&#xf231;',
            'pinterest-square' => '&#xf0d3;',
            'behance' => '&#xf1b4;',
            'behance-square' => '&#xf1b5;',
            'tumblr' => '&#xf173;',
            'tumblr-square' => '&#xf174;',
            'reddit' => '&#xf1a1;',
            'reddit-alien' => '&#xf281;',
            'reddit-square' => '&#xf1a2;',
            'dribbble' => '&#xf17d;',
            'vk' => '&#xf189;',
            'skype' => '&#xf17e;',
            'film' => '&#xf008;',
            'youtube-play' => '&#xf16a;',
            'youtube' => '&#xf167;',
            'youtube-square' => '&#xf166;',
            'vimeo-square' => '&#xf194;',
            'soundcloud' => '&#xf1be;',
            'instagram' => '&#xf16d;',
            'flickr' => '&#xf16e;',
            'rss' => '&#xf09e;',
            'rss-square' => '&#xf143;',
            'heart' => '&#xf004;',
            'heart-o' => '&#xf08a;',
            'github' => '&#xf09b;',
            'github-alt' => '&#xf113;',
            'github-square' => '&#xf092;',
            'stack-overflow' => '&#xf16c;',
            'qq' => '&#xf1d6;',
            'weibo' => '&#xf18a;',
            'weixin' => '&#xf1d7;',
            'xing' => '&#xf168;',
            'xing-square' => '&#xf169;',
            'gamepad' => '&#xf11b;',
            'medium' => '&#xf23a;',
            'envelope' => '&#xf0e0;',
            'envelope-o' => '&#xf003;',
            'envelope-square ' => '&#xf199;',
            'etsy' => '&#xf2d7;',
            'snapchat' => '&#xf2ab;',
            'snapchat-ghost' => '&#xf2ac;',
            'snapchat-square' => '&#xf2ad;',
            'meetup' => '&#xf2e0;',
            'cc-paypal' => '&#xf1f4;',
            'credit-card' => '&#xf09d;',
        );
        $home_page_parallax_feature = array("on" => "On", "off" => "Off");
        $home_page_feature = array("on" => "On", "off" => "Off");
        $font_family = array('Open Sans', 'ABeeZee', 'Abel', 'Abril Fatface', 'Aclonica', 'Acme', 'Actor', 'Adamina', 'Advent Pro', 'Aguafina Script', 'Akronim', 'Aladin', 'Aldrich', 'Alef', 'Alegreya', 'Alegreya SC', 'Alex Brush', 'Alfa Slab One', 'Alice', 'Alike', 'Alike Angular', 'Allan', 'Allerta', 'Allerta Stencil', 'Allura', 'Almendra', 'Almendra Display', 'Almendra SC', 'Amarante', 'Amaranth', 'Amatic SC', 'Amethysta', 'Anaheim', 'Andada', 'Andika', 'Angkor', 'Annie Use Your Telescope', 'Anonymous Pro', 'Antic', 'Antic Didone', 'Antic Slab', 'Anton', 'Arapey', 'Arbutus', 'Arbutus Slab', 'Architects Daughter', 'Archivo Black', 'Archivo Narrow', 'Arial Black', 'Arial Narrow', 'Arimo', 'Arizonia', 'Armata', 'Artifika', 'Arvo', 'Asap', 'Asset', 'Astloch', 'Asul', 'Atomic Age', 'Aubrey', 'Audiowide', 'Autour One', 'Average', 'Average Sans', 'Averia Gruesa Libre', 'Averia Libre', 'Averia Sans Libre', 'Averia Serif Libre', 'Bad Script', 'Balthazar', 'Bangers', 'Basic', 'Battambang', 'Baumans', 'Bayon', 'Belgrano', 'Bell MT', 'Bell MT Alt', 'Belleza', 'BenchNine', 'Bentham', 'Berkshire Swash', 'Bevan', 'Bigelow Rules', 'Bigshot One', 'Bilbo', 'Bilbo Swash Caps', 'Bitter', 'Black Ops One', 'Bodoni', 'Bokor', 'Bonbon', 'Boogaloo', 'Bowlby One', 'Bowlby One SC', 'Brawler', 'Bree Serif', 'Bubblegum Sans', 'Bubbler One', 'Buenard', 'Butcherman', 'Butcherman Caps', 'Butterfly Kids', 'Cabin', 'Cabin Condensed', 'Cabin Sketch', 'Caesar Dressing', 'Cagliostro', 'Calibri', 'Calligraffitti', 'Cambo', 'Cambria', 'Candal', 'Cantarell', 'Cantata One', 'Cantora One', 'Capriola', 'Cardo', 'Carme', 'Carrois Gothic', 'Carrois Gothic SC', 'Carter One', 'Caudex', 'Cedarville Cursive', 'Ceviche One', 'Changa One', 'Chango', 'Chau Philomene One', 'Chela One', 'Chelsea Market', 'Chenla', 'Cherry Cream Soda', 'Cherry Swash', 'Chewy', 'Chicle', 'Chivo', 'Cinzel', 'Cinzel Decorative', 'Clara', 'Clicker Script', 'Coda', 'Codystar', 'Combo', 'Comfortaa', 'Coming Soon', 'Concert One', 'Condiment', 'Consolas', 'Content', 'Contrail One', 'Convergence', 'Cookie', 'Copse', 'Corben', 'Corsiva', 'Courgette', 'Courier New', 'Cousine', 'Coustard', 'Covered By Your Grace', 'Crafty Girls', 'Creepster', 'Creepster Caps', 'Crete Round', 'Crimson Text', 'Croissant One', 'Crushed', 'Cuprum', 'Cutive', 'Cutive Mono', 'Damion', 'Dancing Script', 'Dangrek', 'Dawning of a New Day', 'Days One', 'Delius', 'Delius Swash Caps', 'Delius Unicase', 'Della Respira', 'Denk One', 'Devonshire', 'Dhyana', 'Didact Gothic', 'Diplomata', 'Diplomata SC', 'Domine', 'Donegal One', 'Doppio One', 'Dorsa', 'Dosis', 'Dr Sugiyama', 'Droid Arabic Kufi', 'Droid Arabic Naskh', 'Droid Sans', 'Droid Sans Mono', 'Droid Sans TV', 'Droid Serif', 'Duru Sans', 'Dynalight', 'EB Garamond', 'Eagle Lake', 'Eater', 'Eater Caps', 'Economica', 'Electrolize', 'Elsie', 'Elsie Swash Caps', 'Emblema One', 'Emilys Candy', 'Engagement', 'Englebert', 'Enriqueta', 'Erica One', 'Esteban', 'Euphoria Script', 'Ewert', 'Exo', 'Expletus Sans', 'Fanwood Text', 'Fascinate', 'Fascinate Inline', 'Faster One', 'Fasthand', 'Fauna One', 'Federant', 'Federo', 'Felipa', 'Fenix', 'Finger Paint', 'Fjalla One', 'Fjord One', 'Flamenco', 'Flavors', 'Fondamento', 'Fontdiner Swanky', 'Forum', 'Francois One', 'Freckle Face', 'Fredericka the Great', 'Fredoka One', 'Freehand', 'Fresca', 'Frijole', 'Fruktur', 'Fugaz One', 'GFS Didot', 'GFS Neohellenic', 'Gabriela', 'Gafata', 'Galdeano', 'Galindo', 'Garamond', 'Gentium Basic', 'Gentium Book Basic', 'Geo', 'Geostar', 'Geostar Fill', 'Germania One', 'Gilda Display', 'Give You Glory', 'Glass Antiqua', 'Glegoo', 'Gloria Hallelujah', 'Goblin One', 'Gochi Hand', 'Gorditas', 'Goudy Bookletter 1911', 'Graduate', 'Grand Hotel', 'Gravitas One', 'Great Vibes', 'Griffy', 'Gruppo', 'Gudea', 'Habibi', 'Hammersmith One', 'Hanalei', 'Hanalei Fill', 'Handlee', 'Hanuman', 'Happy Monkey', 'Headland One', 'Helvetica Neue', 'Henny Penny', 'Herr Von Muellerhoff', 'Holtwood One SC', 'Homemade Apple', 'Homenaje', 'IM Fell DW Pica', 'IM Fell DW Pica SC', 'IM Fell Double Pica', 'IM Fell Double Pica SC', 'IM Fell English', 'IM Fell English SC', 'IM Fell French Canon', 'IM Fell French Canon SC', 'IM Fell Great Primer', 'IM Fell Great Primer SC', 'Iceberg', 'Iceland', 'Imprima', 'Inconsolata', 'Inder', 'Indie Flower', 'Inika', 'Irish Grover', 'Irish Growler', 'Istok Web', 'Italiana', 'Italianno', 'Jacques Francois', 'Jacques Francois Shadow', 'Jim Nightshade', 'Jockey One', 'Jolly Lodger', 'Josefin Sans', 'Josefin Sans Std Light', 'Josefin Slab', 'Joti One', 'Judson', 'Julee', 'Julius Sans One', 'Junge', 'Jura', 'Just Another Hand', 'Just Me Again Down Here', 'Kameron', 'Karla', 'Kaushan Script', 'Kavoon', 'Keania One', 'Kelly Slab', 'Kenia', 'Khmer', 'Kite One', 'Knewave', 'Kotta One', 'Koulen', 'Kranky', 'Kreon', 'Kristi', 'Krona One', 'La Belle Aurore', 'Lancelot', 'Lateef', 'Lato', 'League Script', 'Leckerli One', 'Ledger', 'Lekton', 'Lemon', 'Lemon One', 'Libre Baskerville', 'Life Savers', 'Lilita One', 'Lily Script One', 'Limelight', 'Linden Hill', 'Lobster', 'Lobster Two', 'Lohit Bengali', 'Lohit Devanagari', 'Lohit Tamil', 'Londrina Outline', 'Londrina Shadow', 'Londrina Sketch', 'Londrina Solid', 'Lora', 'Love Ya Like A Sister', 'Loved by the King', 'Lovers Quarrel', 'Luckiest Guy', 'Lusitana', 'Lustria', 'Macondo', 'Macondo Swash Caps', 'Magra', 'Maiden Orange', 'Mako', 'Marcellus', 'Marcellus SC', 'Marck Script', 'Margarine', 'Marko One', 'Marmelad', 'Marvel', 'Mate', 'Mate SC', 'Maven Pro', 'McLaren', 'Meddon', 'MedievalSharp', 'Medula One', 'Megrim', 'Meie Script', 'Merienda', 'Merienda One', 'Merriweather', 'Merriweather Sans', 'Metal', 'Metal Mania', 'Metamorphous', 'Metrophobic', 'Michroma', 'Milonga', 'Miltonian', 'Miltonian Tattoo', 'Miniver', 'Miss Fajardose', 'Miss Saint Delafield', 'Modern Antiqua', 'Molengo', 'Monda', 'Monofett', 'Monoton', 'Monsieur La Doulaise', 'Montaga', 'Montez', 'Montserrat', 'Montserrat Alternates', 'Montserrat Subrayada', 'Moul', 'Moulpali', 'Mountains of Christmas', 'Mouse Memoirs', 'Mr Bedford', 'Mr Bedfort', 'Mr Dafoe', 'Mr De Haviland', 'Mrs Saint Delafield', 'Mrs Sheppards', 'Muli', 'Mystery Quest', 'Neucha', 'Neuton', 'New Rocker', 'News Cycle', 'Niconne', 'Nixie One', 'Nobile', 'Nokora', 'Norican', 'Nosifer', 'Nosifer Caps', 'Nothing You Could Do', 'Noticia Text', 'Noto Sans', 'Noto Sans UI', 'Noto Serif', 'Nova Cut', 'Nova Flat', 'Nova Mono', 'Nova Oval', 'Nova Round', 'Nova Script', 'Nova Slim', 'Nova Square', 'Numans', 'Nunito', 'OFL Sorts Mill Goudy TT', 'Odor Mean Chey', 'Offside', 'Old Standard TT', 'Oldenburg', 'Oleo Script', 'Oleo Script Swash Caps', 'Oranienbaum', 'Orbitron', 'Oregano', 'Orienta', 'Original Surfer', 'Oswald', 'Over the Rainbow', 'Overlock', 'Overlock SC', 'Ovo', 'Oxygen', 'Oxygen Mono', 'PT Mono', 'PT Sans', 'PT Sans Caption', 'PT Sans Narrow', 'PT Serif', 'PT Serif Caption', 'Pacifico', 'Paprika', 'Parisienne', 'Passero One', 'Passion One', 'Pathway Gothic One', 'Patrick Hand', 'Patrick Hand SC', 'Patua One', 'Paytone One', 'Peralta', 'Permanent Marker', 'Petit Formal Script', 'Petrona', 'Philosopher', 'Piedra', 'Pinyon Script', 'Pirata One', 'Plaster', 'Play', 'Playball', 'Playfair Display', 'Playfair Display SC', 'Podkova', 'Poiret One', 'Poller One', 'Poly', 'Pompiere', 'Pontano Sans', 'Port Lligat Sans', 'Port Lligat Slab', 'Prata', 'Preahvihear', 'Press Start 2P', 'Princess Sofia', 'Prociono', 'Prosto One', 'Proxima Nova', 'Proxima Nova Tabular Figures', 'Puritan', 'Purple Purse', 'Quando', 'Quantico', 'Quattrocento', 'Quattrocento Sans', 'Questrial', 'Quicksand', 'Quintessential', 'Qwigley', 'Racing Sans One', 'Radley', 'Raleway', 'Raleway Dots', 'Rambla', 'Rammetto One', 'Ranchers', 'Rancho', 'Rationale', 'Redressed', 'Reenie Beanie', 'Revalia', 'Ribeye', 'Ribeye Marrow', 'Righteous', 'Risque', 'Roboto', 'Roboto Condensed', 'Roboto Slab', 'Rochester', 'Rock Salt', 'Rokkitt', 'Romanesco', 'Ropa Sans', 'Rosario', 'Rosarivo', 'Rouge Script', 'Ruda', 'Rufina', 'Ruge Boogie', 'Ruluko', 'Rum Raisin', 'Ruslan Display', 'Russo One', 'Ruthie', 'Rye', 'Sacramento', 'Sail', 'Salsa', 'Sanchez', 'Sancreek', 'Sansita One', 'Sarina', 'Satisfy', 'Scada', 'Scheherazade', 'Schoolbell', 'Seaweed Script', 'Sevillana', 'Seymour One', 'Shadows Into Light', 'Shadows Into Light Two', 'Shanti', 'Share', 'Share Tech', 'Share Tech Mono', 'Shojumaru', 'Short Stack', 'Siamreap', 'Siemreap', 'Sigmar One', 'Signika', 'Signika Negative', 'Simonetta', 'Sintony', 'Sirin Stencil', 'Six Caps', 'Skranji', 'Slackey', 'Smokum', 'Smythe', 'Snippet', 'Snowburst One', 'Sofadi One', 'Sofia', 'Sonsie One', 'Sorts Mill Goudy', 'Source Code Pro', 'Source Sans Pro', 'Special Elite', 'Spicy Rice', 'Spinnaker', 'Spirax', 'Squada One', 'Stalemate', 'Stalin One', 'Stalinist One', 'Stardos Stencil', 'Stint Ultra Condensed', 'Stint Ultra Expanded', 'Stoke', 'Strait', 'Sue Ellen Francisco', 'Sunshiney', 'Supermercado One', 'Suwannaphum', 'Swanky and Moo Moo', 'Syncopate', 'Tahoma', 'Tangerine', 'Taprom', 'Tauri', 'Telex', 'Tenor Sans', 'Terminal Dosis', 'Terminal Dosis Light', 'Text Me One', 'Thabit', 'The Girl Next Door', 'Tienne', 'Tinos', 'Titan One', 'Titillium Web', 'Trade Winds', 'Trocchi', 'Trochut', 'Trykker', 'Tulpen One', 'Ubuntu', 'Ubuntu Condensed', 'Ubuntu Mono', 'Ultra', 'Uncial Antiqua', 'Underdog', 'Unica One', 'UnifrakturMaguntia', 'Unkempt', 'Unlock', 'Unna', 'VT323', 'Vampiro One', 'Varela', 'Varela Round', 'Vast Shadow', 'Vibur', 'Vidaloka', 'Viga', 'Voces', 'Volkhov', 'Vollkorn', 'Voltaire', 'Waiting for the Sunrise', 'Wallpoet', 'Walter Turncoat', 'Warnes', 'Wellfleet', 'Wendy One', 'Wire One', 'Yanone Kaffeesatz', 'Yellowtail', 'Yeseva One', 'Yesteryear', 'Zeyada', 'jsMath cmbx10', 'jsMath cmex10', 'jsMath cmmi10', 'jsMath cmr10', 'jsMath cmsy10', 'jsMath cmti10');
        $file_rename = array("on" => "On", "off" => "Off");
        $on_off = array("on" => "On", "off" => "Off");
        $onoff_switch = array("on" => "On", "off" => "Off");
        $slider_type = array("image-slider-parallax" => "Image Slider Parallax", "text-slider" => "Text Slider Parallax");
        //Stylesheet Reader
        $alt_stylesheets = array("blue" => "blue", "black" => "black", "green" => "green", "yellow" => "yellow", "orange" => "orange", "red" => "red", "pink" => "pink");
        $currency_option = array("$" => "Default", "A$" => "Australian Dollar (AUD)", "R$" => "Brazilian Real (BRL)", "$" => "Canadian Dollar (CAD)", "Kc" => "Czech Koruna (CZK)", "Kr" => "Danish Krone (DKK)", "€" => "Euro (EUR)", "$" => "Hong Kong Dollar (HKD)", "Ft" => "Hungarian Forint (HUF)", "ILS" => "Israeli New Sheqel (ILS)", "¥" => "Japanese Yen (JPY)", "RM" => "Malaysian Ringgit	(MYR)", "$" => "Mexican Peso (MXN)", "Kr" => "Norwegian Krone (NOK)", "$" => "New Zealand Dollar (NZD)", "₱" => "Philippine Peso (PHP)", "zl" => "Polish Zloty (PLN)", "£" => "Pound Sterling (GBP)", "$" => "Singapore Dollar (SGD)", "kr" => "Swedish Krona (SEK)", "CHF" => "Swiss Franc (CHF)", "NT$" => "Taiwan New Dollar (TWD)", "THB" => "Thai Baht (THB)", "TRY" => "Turkish Lira (TRY)", "$" => "U.S. Dollar (USD)");
        $lan_stylesheets = array("Default" => "Default", "rtl" => "rtl");
        // Pull all the categories into an array
        $options_categories = array();
        $options_categories_obj = get_categories();
        $options_categories[''] = __('Select Category', 'figero');
        foreach ($options_categories_obj as $category) {
            $options_categories[$category->cat_ID] = $category->cat_name;
        }
        // Pull all the pages into an array
        $options_pages = array();
        $options_pages_obj = get_pages('sort_column=post_parent,menu_order');
        $options_pages[''] = 'Select a page:';
        foreach ($options_pages_obj as $page) {
            $options_pages[$page->ID] = $page->post_title;
        }
        // If using image radio buttons, define a directory path
        $imagepath = get_template_directory_uri() . 'assets/images/';


        $options = array();

        $taxonomy = 'product_cat';
        $orderby = 'name';
        $show_count = 0;      // 1 for yes, 0 for no
        $pad_counts = 0;      // 1 for yes, 0 for no
        $hierarchical = 1;      // 1 for yes, 0 for no  
        $title = '';
        $empty = 0;

        $args = array(
            'taxonomy' => $taxonomy,
            'orderby' => $orderby,
            'show_count' => $show_count,
            'pad_counts' => $pad_counts,
            'hierarchical' => $hierarchical,
            'title_li' => $title,
            'hide_empty' => $empty
        );
        $all_categories = get_categories($args);
        $pcat_name = array();

        foreach ($all_categories as $cat) {
            if ($cat->category_parent == 0) {
                $category_id = $cat->term_id;
                $pcat_name[$category_id] = $cat->name;
//         array_push($pcat_name, $cat->name);


                $args2 = array(
                    'taxonomy' => $taxonomy,
                    'child_of' => 0,
                    'parent' => $category_id,
                    'orderby' => $orderby,
                    'show_count' => $show_count,
                    'pad_counts' => $pad_counts,
                    'hierarchical' => $hierarchical,
                    'title_li' => $title,
                    'hide_empty' => $empty
                );
                $sub_cats = get_categories($args2);

                if ($sub_cats) {

                    foreach ($sub_cats as $sub_category) {

                        array_push($pcat_name, $sub_category->name);
                    }
                }
            }
        }



        $theme_settings = array(
            'figero_logo' => array(
                'id' => 'figero_options[figero_logo]',
                'label' => __('Custom Logo', 'figero'),
                'description' => __('Upload a logo for your Website. The recommended size for the logo is 200px width x 50px height.', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/assets/images/logo.png'
            ),
            'figero_favicon' => array(
                'id' => 'figero_options[figero_favicon]',
                'label' => __('Custom Favicon', 'figero'),
                'description' => __('Here you can upload a Favicon for your Website. Specified size is 16px x 16px.', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'figero_analytics' => array(
                'id' => 'figero_options[figero_analytics]',
                'label' => __('Tracking Code', 'figero'),
                'description' => __('Paste your Google Analytics (or other) tracking code here.', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
//            'figero_bodybg' => array(
//                'id' => 'figero_options[figero_bodybg]',
//                'label' => __('Background Image', 'figero'),
//                'description' => __('Select image to change your website background', 'figero'),
//                'type' => 'option',
//                'setting_type' => 'image',
//                'default' => ''
//            ),
            'figero_breadcrumb_bg' => array(
                'id' => 'figero_options[figero_breadcrumb_bg]',
                'label' => __('Background Breadcrumb Image', 'figero'),
                'description' => __('Select image to change your breadcrumb background.', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'typography_logo_family' => array(
                'id' => 'figero_options[typography_logo_family]',
                'label' => __('Logo Font Family', 'figero'),
                'description' => __('Allows you to change Font family for Logo', 'figero'),
                'type' => 'option',
                'setting_type' => 'select',
                'default' => '',
                'choices' => $font_family
            ),
            'typography_nav_family' => array(
                'id' => 'figero_options[typography_nav_family]',
                'label' => __('Body Font Family', 'figero'),
                'description' => __('Allows you to change Font family for Body', 'figero'),
                'type' => 'option',
                'setting_type' => 'select',
                'default' => '',
                'choices' => $font_family
            ),
            'social_media_icon_1' => array(
                'id' => 'figero_options[social_media_icon_1]',
                'label' => __('Social icons', 'figero'),
                'description' => __('Choose Social Icon from the below drop down list.', 'figero'),
                'type' => 'option',
                'setting_type' => 'select',
                'default' => 'facebook-square',
                'choices' => $social_icons
            ),
            'social_media_url_1' => array(
                'id' => 'figero_options[social_media_url_1]',
                'label' => __('Social Link', 'figero'),
                'description' => __('Quickly add link to your Social Icons site.', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            'social_media_icon_2' => array(
                'id' => 'figero_options[social_media_icon_2]',
                'label' => __('Social icons', 'figero'),
                'description' => __('Choose Social Icon from the below drop down list.', 'figero'),
                'type' => 'option',
                'setting_type' => 'select',
                'default' => 'twitter-square',
                'choices' => $social_icons
            ),
            'social_media_url_2' => array(
                'id' => 'figero_options[social_media_url_2]',
                'label' => __('Social Link', 'figero'),
                'description' => __('Quickly add link to your Social Icons site.', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            'social_media_icon_3' => array(
                'id' => 'figero_options[social_media_icon_3]',
                'label' => __('Social icons', 'figero'),
                'description' => __('Choose Social Icon from the below drop down list.', 'figero'),
                'type' => 'option',
                'setting_type' => 'select',
                'default' => 'google-plus',
                'choices' => $social_icons
            ),
            'social_media_url_3' => array(
                'id' => 'figero_options[social_media_url_3]',
                'label' => __('Social Link', 'figero'),
                'description' => __('Quickly add link to your Social Icons site.', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            'social_media_icon_4' => array(
                'id' => 'figero_options[social_media_icon_4]',
                'label' => __('Social icons', 'figero'),
                'description' => __('Choose Social Icon from the below drop down list.', 'figero'),
                'type' => 'option',
                'setting_type' => 'select',
                'default' => 'linkedin-square',
                'choices' => $social_icons
            ),
            'social_media_url_4' => array(
                'id' => 'figero_options[social_media_url_4]',
                'label' => __('Social Link', 'figero'),
                'description' => __('Quickly add link to your Social Icons site.', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
         
            'figero_slider_type' => array(
                'id' => 'figero_options[figero_slider_type]',
                'label' => __('Home Page Slider', 'figero'),
                'description' => __('Select Type of slider which you want you use.', 'figero'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => $slider_type
            ),
            'figero_slider_overlay_color' => array(
                'id' => 'figero_options[figero_slider_overlay_color]',
                'label' => __('Slider Overlay Color', 'figero'),
                'description' => __('Choose a suitable Slider Overlay Color that will complement your website.', 'figero'),
                'type' => 'option',
                'setting_type' => 'color',
                'default' => ''
            ),
            'figero_slide_speed' => array(
                'id' => 'figero_options[figero_slide_speed]',
                'label' => __('Slider Speed', 'figero'),
                'description' => __('Set the speed of the slider in milliseconds. For e.g. if you want to set the speed of the slider for 8 seconds then enter 8000 in the field or if you want to set the slider speed for 2.5 seconds then enter 2500 in the field.', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'figero_slider_parallax_image' => array(
                'id' => 'figero_options[figero_slider_parallax_image]',
                'label' => __('Slider Parallax Image', 'figero'),
                'description' => __('Choose Image for your Home page Slider Parallax Image.', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'figero_slideheading1' => array(
                'id' => 'figero_options[figero_slideheading1]',
                'label' => __('First Slider Heading', 'figero'),
                'description' => __('Enter the Heading for Home page First slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => 'The Ultimate Digital Product selling Theme'
            ),
            'figero_slidedescription1' => array(
                'id' => 'figero_options[figero_slidedescription1]',
                'label' => __('First Slider Description', 'figero'),
                'description' => __('Enter the Description for Home Page First Slides Show', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => 'Well, Here it come, a Theme which enables you to built your store in few clicks. Whats even more Amazing you can even setup multiple Paypal Mails for selling different stuffs on the same place.'
            ),
            'figero_slidel_rb_1' => array(
                'id' => 'figero_options[figero_slidel_rb_1]',
                'label' => __('First Slider Button1 Text', 'figero'),
                'description' => __('Enter the Button1 Text for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => 'READ MORE'
            ),
            'figero_slidel_r_1' => array(
                'id' => 'figero_options[figero_slidel_r_1]',
                'label' => __('First Slider Button1 Link', 'figero'),
                'description' => __('Enter the Button1 Link URL for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'figero_slidel_lb_1' => array(
                'id' => 'figero_options[figero_slidel_lb_1]',
                'label' => __('First Slider Button2 Text', 'figero'),
                'description' => __('Enter the Button2 Text for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => 'CONTACT US'
            ),
            'figero_slidel_l_1' => array(
                'id' => 'figero_options[figero_slidel_l_1]',
                'label' => __('First Slider Button2 Link', 'figero'),
                'description' => __('Enter the Button2 Link URL for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'figero_slideimage1' => array(
                'id' => 'figero_options[figero_slideimage1]',
                'label' => __('First Slider Image', 'figero'),
                'description' => __('Choose Image for your Home page First Slider. Optimal Size: 1171px x 526px', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/assets/images/Slider1.jpg'
            ),
            'figero_slideheading2' => array(
                'id' => 'figero_options[figero_slideheading2]',
                'label' => __('First Slider Heading', 'figero'),
                'description' => __('Enter the Heading for Home page First slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => 'Multipurpose Theme'
            ),
            'figero_slidedescription2' => array(
                'id' => 'figero_options[figero_slidedescription2]',
                'label' => __('First Slider Description', 'figero'),
                'description' => __('Enter the Description for Home Page First Slides Show', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ' Figero – Flexible WordPress Theme enables you to craft clean intuitive website cum landing page for the web users. It’s a multipurpose theme which can be adopted by the various business platforms to make their online presence of the business or organization.'
            ),
            'figero_slidel_rb_2' => array(
                'id' => 'figero_options[figero_slidel_rb_2]',
                'label' => __('First Slider Button1 Text', 'figero'),
                'description' => __('Enter the Button1 Text for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => 'READ MORE'
            ),
            'figero_slidel_r_2' => array(
                'id' => 'figero_options[figero_slidel_r_2]',
                'label' => __('First Slider Button1 Link', 'figero'),
                'description' => __('Enter the Button1 Link URL for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'figero_slidel_lb_2' => array(
                'id' => 'figero_options[figero_slidel_lb_2]',
                'label' => __('First Slider Button2 Text', 'figero'),
                'description' => __('Enter the Button2 Text for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => 'CONTACT US'
            ),
            'figero_slidel_l_2' => array(
                'id' => 'figero_options[figero_slidel_l_2]',
                'label' => __('First Slider Button2 Link', 'figero'),
                'description' => __('Enter the Button2 Link URL for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'figero_slideimage2' => array(
                'id' => 'figero_options[figero_slideimage2]',
                'label' => __('First Slider Image', 'figero'),
                'description' => __('Choose Image for your Home page First Slider. Optimal Size: 1171px x 526px', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/assets/images/Slider2.jpg'
            ),
            'figero_slideheading3' => array(
                'id' => 'figero_options[figero_slideheading3]',
                'label' => __('First Slider Heading', 'figero'),
                'description' => __('Enter the Heading for Home page First slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_slidedescription3' => array(
                'id' => 'figero_options[figero_slidedescription3]',
                'label' => __('First Slider Description', 'figero'),
                'description' => __('Enter the Description for Home Page First Slides Show', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_slidel_rb_3' => array(
                'id' => 'figero_options[figero_slidel_rb_3]',
                'label' => __('First Slider Button1 Text', 'figero'),
                'description' => __('Enter the Button1 Text for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'figero_slidel_r_3' => array(
                'id' => 'figero_options[figero_slidel_r_3]',
                'label' => __('First Slider Button1 Link', 'figero'),
                'description' => __('Enter the Button1 Link URL for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'figero_slidel_lb_3' => array(
                'id' => 'figero_options[figero_slidel_lb_3]',
                'label' => __('First Slider Button2 Text', 'figero'),
                'description' => __('Enter the Button2 Text for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'figero_slidel_l_3' => array(
                'id' => 'figero_options[figero_slidel_l_3]',
                'label' => __('First Slider Button2 Link', 'figero'),
                'description' => __('Enter the Button2 Link URL for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'figero_slideimage3' => array(
                'id' => 'figero_options[figero_slideimage3]',
                'label' => __('First Slider Image', 'figero'),
                'description' => __('Choose Image for your Home page First Slider. Optimal Size: 1171px x 526px', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'figero_slideheading4' => array(
                'id' => 'figero_options[figero_slideheading4]',
                'label' => __('First Slider Heading', 'figero'),
                'description' => __('Enter the Heading for Home page First slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_slidedescription4' => array(
                'id' => 'figero_options[figero_slidedescription4]',
                'label' => __('First Slider Description', 'figero'),
                'description' => __('Enter the Description for Home Page First Slides Show', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_slidel_rb_4' => array(
                'id' => 'figero_options[figero_slidel_rb_4]',
                'label' => __('First Slider Button1 Text', 'figero'),
                'description' => __('Enter the Button1 Text for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'figero_slidel_r_4' => array(
                'id' => 'figero_options[figero_slidel_r_4]',
                'label' => __('First Slider Button1 Link', 'figero'),
                'description' => __('Enter the Button1 Link URL for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'figero_slidel_lb_4' => array(
                'id' => 'figero_options[figero_slidel_lb_4]',
                'label' => __('First Slider Button2 Text', 'figero'),
                'description' => __('Enter the Button2 Text for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'figero_slidel_l_4' => array(
                'id' => 'figero_options[figero_slidel_l_4]',
                'label' => __('First Slider Button2 Link', 'figero'),
                'description' => __('Enter the Button2 Link URL for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'figero_slideimage4' => array(
                'id' => 'figero_options[figero_slideimage4]',
                'label' => __('First Slider Image', 'figero'),
                'description' => __('Choose Image for your Home page First Slider. Optimal Size: 1171px x 526px', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'figero_slideheading5' => array(
                'id' => 'figero_options[figero_slideheading5]',
                'label' => __('First Slider Heading', 'figero'),
                'description' => __('Enter the Heading for Home page First slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_slidedescription5' => array(
                'id' => 'figero_options[figero_slidedescription5]',
                'label' => __('First Slider Description', 'figero'),
                'description' => __('Enter the Description for Home Page First Slides Show', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_slidel_rb_5' => array(
                'id' => 'figero_options[figero_slidel_rb_5]',
                'label' => __('First Slider Button1 Text', 'figero'),
                'description' => __('Enter the Button1 Text for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'figero_slidel_r_5' => array(
                'id' => 'figero_options[figero_slidel_r_5]',
                'label' => __('First Slider Button1 Link', 'figero'),
                'description' => __('Enter the Button1 Link URL for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'figero_slidel_lb_5' => array(
                'id' => 'figero_options[figero_slidel_lb_5]',
                'label' => __('First Slider Button2 Text', 'figero'),
                'description' => __('Enter the Button2 Text for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'figero_slidel_l_5' => array(
                'id' => 'figero_options[figero_slidel_l_5]',
                'label' => __('First Slider Button2 Link', 'figero'),
                'description' => __('Enter the Button2 Link URL for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'figero_slideimage5' => array(
                'id' => 'figero_options[figero_slideimage5]',
                'label' => __('First Slider Image', 'figero'),
                'description' => __('Choose Image for your Home page First Slider. Optimal Size: 1171px x 526px', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'figero_slideheading6' => array(
                'id' => 'figero_options[figero_slideheading]',
                'label' => __('First Slider Heading', 'figero'),
                'description' => __('Enter the Heading for Home page First slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_slidedescription6' => array(
                'id' => 'figero_options[figero_slidedescription6]',
                'label' => __('First Slider Description', 'figero'),
                'description' => __('Enter the Description for Home Page First Slides Show', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_slidel_rb_6' => array(
                'id' => 'figero_options[figero_slidel_rb_6]',
                'label' => __('First Slider Button1 Text', 'figero'),
                'description' => __('Enter the Button1 Text for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'figero_slidel_r_6' => array(
                'id' => 'figero_options[figero_slidel_r_6]',
                'label' => __('First Slider Button1 Link', 'figero'),
                'description' => __('Enter the Button1 Link URL for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'figero_slidel_lb_6' => array(
                'id' => 'figero_options[figero_slidel_lb_6]',
                'label' => __('First Slider Button2 Text', 'figero'),
                'description' => __('Enter the Button2 Text for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'figero_slidel_l_6' => array(
                'id' => 'figero_options[figero_slidel_l_6]',
                'label' => __('First Slider Button2 Link', 'figero'),
                'description' => __('Enter the Button2 Link URL for Home Page First Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'figero_slideimage6' => array(
                'id' => 'figero_options[figero_slideimage6]',
                'label' => __('First Slider Image', 'figero'),
                'description' => __('Choose Image for your Home page First Slider. Optimal Size: 1171px x 526px', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'figero_featured_main_head' => array(
                'id' => 'figero_options[figero_featured_main_head]',
                'label' => __('Feature Section Heading', 'figero'),
                'description' => __('Mention the punch line for your business here.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_featured_main_desc' => array(
                'id' => 'figero_options[figero_featured_main_desc]',
                'label' => __('Feature Section Description', 'figero'),
                'description' => __('Mention the tagline for your business here that will complement the punch line.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_featured_img_1' => array(
                'id' => 'figero_options[figero_featured_img_1]',
                'label' => __('First Feature Image', 'figero'),
                'description' => __('Choose image for your first Feature area. Optimal size 250px x 250px', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'figero_featured_h_1' => array(
                'id' => 'figero_options[figero_featured_h_1]',
                'label' => __('First Feature Heading', 'figero'),
                'description' => __('Enter your text for first col heading.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_featured_1' => array(
                'id' => 'figero_options[figero_featured_1]',
                'label' => __('First Feature Description', 'figero'),
                'description' => __('Enter your text for first col description.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_featured_btn_text_1' => array(
                'id' => 'figero_options[figero_featured_btn_text_1]',
                'label' => __('First Feature Button Text', 'figero'),
                'description' => __('Enter the Button Text for Home Page Fifth Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'figero_featured_link_1' => array(
                'id' => 'figero_options[figero_featured_link_1]',
                'label' => __('First feature Link', 'figero'),
                'description' => __('Enter your text for First feature Link.', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'figero_featured_img_2' => array(
                'id' => 'figero_options[figero_featured_img_2]',
                'label' => __('Second Feature Image', 'figero'),
                'description' => __('Choose image for your Second Feature area. Optimal size 250px x 250px', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'figero_featured_h_2' => array(
                'id' => 'figero_options[figero_featured_h_2]',
                'label' => __('Second Feature Heading', 'figero'),
                'description' => __('Enter your text for Second col heading.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_featured_2' => array(
                'id' => 'figero_options[figero_featured_2]',
                'label' => __('Second Feature Description', 'figero'),
                'description' => __('Enter your text for Second col description.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_featured_btn_text_2' => array(
                'id' => 'figero_options[figero_featured_btn_text_2]',
                'label' => __('Second Feature Button Text', 'figero'),
                'description' => __('Enter the Button Text for Home Page Second Feature area', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'figero_featured_link_2' => array(
                'id' => 'figero_options[figero_featured_link_2]',
                'label' => __('Second Feature Link', 'figero'),
                'description' => __('Enter your text for Second feature Link.', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'figero_featured_img_3' => array(
                'id' => 'figero_options[figero_featured_img_3]',
                'label' => __('Third Feature Image', 'figero'),
                'description' => __('Third Feature Section Image.', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'figero_featured_h_3' => array(
                'id' => 'figero_options[figero_featured_h_3]',
                'label' => __('Third Feature Heading', 'figero'),
                'description' => __('Third Feature Section Heading.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_featured_3' => array(
                'id' => 'figero_options[figero_featured_3]',
                'label' => __('Third Feature Section Description', 'figero'),
                'description' => __('Enter your text for first col description.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_featured_btn_text_3' => array(
                'id' => 'figero_options[figero_featured_btn_text_3]',
                'label' => __('Third Feature Button Text', 'figero'),
                'description' => __('Enter your button-text for Third feature section.', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'figero_featured_link_3' => array(
                'id' => 'figero_options[figero_featured_link_3]',
                'label' => __('Third Feature Link', 'figero'),
                'description' => __('Enter your Link Url for Third feature section.', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'figero_featured_img_4' => array(
                'id' => 'figero_options[figero_featured_img_4]',
                'label' => __('Fourth Feature Image', 'figero'),
                'description' => __('Choose your image for fourth feature section.', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'figero_featured_h_4' => array(
                'id' => 'figero_options[figero_featured_h_4]',
                'label' => __('Fourth Feature Heading', 'figero'),
                'description' => __('Enter your text heading for fourth feature section.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_featured_4' => array(
                'id' => 'figero_options[figero_featured_4]',
                'label' => __('Enter your content for fourth feature section descriptions.', 'figero'),
                'description' => __('Enter your text for first col description.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_featured_btn_text_4' => array(
                'id' => 'figero_options[figero_featured_btn_text_4]',
                'label' => __('Fourth Feature Section button text', 'figero'),
                'description' => __('Enter the Button Text for Home Page Fifth Slider', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'figero_featured_link_4' => array(
                'id' => 'figero_options[figero_featured_link_4]',
                'label' => __('Fourth Feature Link', 'figero'),
                'description' => __('Enter your Link Url for Fouth feature section.', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            
           'figero_home_feature_option' => array(
                'id' => 'figero_options[figero_home_feature_option]',
                'label' => __('Column Feature Area On/Off', 'figero'),
                'description' => __('Turn on or off the home page three column as per your requirement.', 'figero'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => $home_page_feature
            ),
            
            'figero_feature_select' => array(
                'id' => 'figero_options[figero_feature_select]',
                'label' => __('Feature Area Selector', 'figero'),
                'description' => __('Select the number of Feature Areas to be displayed.', 'figero'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => '1',
                'choices' => array(
                    '1' => 'One Column widget Area',
                    '2' => 'Two Column widget Area',
                    '3' => 'Three Column widget Area',
                    '4' => 'Four Column widget Area'
                )
            ),
            
            'figero_feature_parallax_image' => array(
                'id' => 'figero_options[figero_feature_parallax_image]',
                'label' => __('Feature Parallax Image', 'figero'),
                'description' => __('Homepage feature parallax background image', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            
            
            
            'flex_head_col_font_color' => array(
                'id' => 'figero_options[flex_head_col_font_color]',
                'label' => __("Column Heading's Font Color", 'figero'),
                'description' => __('Choose a suitable Font Color that will complement your website.', 'figero'),
                'type' => 'option',
                'setting_type' => 'color',
                'default' => ''
            ),
            'flex_para_col_font_color' => array(
                'id' => 'figero_options[flex_para_col_font_color]',
                'label' => __("Column Paragraph's Font Color", 'figero'),
                'description' => __('Choose a suitable Font Color that will complement your website.', 'figero'),
                'type' => 'option',
                'setting_type' => 'color',
                'default' => ''
            ),
            'flex_right_col_bg_color' => array(
                'id' => 'figero_options[flex_right_col_bg_color]',
                'label' => __("Right Column Background Color", 'figero'),
                'description' => __('Choose a suitable Background Color that will complement your website.', 'figero'),
                'type' => 'option',
                'setting_type' => 'color',
                'default' => ''
            ),
            'figero_headline1' => array(
                'id' => 'figero_options[figero_headline1]',
                'label' => __('Right Column Heading', 'figero'),
                'description' => __('Enter your heading line for right column.', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'figero_feature1' => array(
                'id' => 'figero_options[figero_feature1]',
                'label' => __('Right Column Description', 'figero'),
                'description' => __('Enter your feature content for right column..', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'flex_left_col_bg_color' => array(
                'id' => 'figero_options[flex_left_col_bg_color]',
                'label' => __("Left Column Background Color", 'figero'),
                'description' => __('Choose a suitable Background Color that will complement your website.', 'figero'),
                'type' => 'option',
                'setting_type' => 'color',
                'default' => ''
            ),
            'figero_headline2' => array(
                'id' => 'figero_options[figero_headline2]',
                'label' => __('Left Column Heading', 'figero'),
                'description' => __('Enter your heading line for left column.', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'figero_testo_desc1' => array(
                'id' => 'figero_options[figero_testo_desc1]',
                'label' => __('Left Column Description', 'figero'),
                'description' => __('Enter your feature content for left column..', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            
//            'figero_home_feature_second_option' => array(
//                'id' => 'figero_options[figero_home_feature_second_option]',
//                'label' => __('Left Column Description', 'figero'),
//                'description' => __('Enter your feature content for left column..', 'figero'),
//                'setting_type' => 'radio',
//                'default' => 'on',
//                'choices' => $home_page_parallax_feature
//            ),
//            
//            
            'figero_bottom_feature_head' => array(
                'id' => 'figero_options[figero_bottom_feature_head]',
                'label' => __('Bottom Feature Heading', 'figero'),
                'description' => __('Enter your heading for bottom feature section.', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'figero_bottom_feature_link' => array(
                'id' => 'figero_options[figero_bottom_feature_link]',
                'label' => __('Bottom Feature Link', 'figero'),
                'description' => __('Enter your link for bottom feature section.', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'full_cols_desc' => array(
                'id' => 'figero_options[full_cols_desc]',
                'label' => __('Bottom Feature Description', 'figero'),
                'description' => __('Enter your description in single column, fullwidth column bellow the featured section.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_bottom_feature_readmore_btntext' => array(
                'id' => 'figero_options[figero_bottom_feature_readmore_btntext]',
                'label' => __('Bottom Feature Read More Button Text', 'figero'),
                'description' => __('Enter your text for bottom feature read more button.', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'figero_contact_us_feature_head' => array(
                'id' => 'figero_options[figero_contact_us_feature_head]',
                'label' => __('Contact Us Feature Heading', 'figero'),
                'description' => __('Enter your heading for contact us feature section.', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'figero_contact_us_feature_desc' => array(
                'id' => 'figero_options[figero_contact_us_feature_desc]',
                'label' => __('Contact Us Feature Description', 'figero'),
                'description' => __('Enter your description for contact us feature section.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_feature_map' => array(
                'id' => 'figero_options[figero_feature_map]',
                'label' => __('Contact Us Map', 'figero'),
                'description' => __("Go to https://maps.google.com/ and generate the map for your location. Just copy only the iframe code i.e. code within &lt;iframe&gt; and &lt;/iframe&gt; and paste it here. This will show the map location of your business on the Website.", 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'home_shop_section' => array(
                'id' => 'figero_options[home_shop_section]',
                'label' => __('Home Page Shop Section Option On/Off', 'figero'),
                'description' => __('Make your home page shop section visible by enabling this option', 'figero'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => $onoff_switch
            ),
            'figero_home_shop_section_heading' => array(
                'id' => 'figero_options[figero_home_shop_section_heading]',
                'label' => __('Home Page Shop Section Heading', 'figero'),
                'description' => __('Enter your heading for home page shop section.', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'figero_home_shop_category' => array(
                'id' => 'figero_options[figero_home_shop_category]',
                'label' => __('Home Page Shop Product Category', 'figero'),
                'description' => __("Enter the name of the category, if you want to display particular category's products, else leave it blank. It will display all products.", 'figero'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' => $pcat_name,
                'default' => ''
            ),
            'figero_home_shop_product_column' => array(
                'id' => 'figero_options[figero_home_shop_product_column]',
                'label' => __('Home Page Shop Product Column Number', 'figero'),
                'description' => __("Enter the number of columns for products.Whether you want to display your products in 3 columns, 4 columns or anyother Ex: 3,4 etc", 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'figero_home_shop_product_number' => array(
                'id' => 'figero_options[figero_home_shop_product_number]',
                'label' => __('Home Page Shop Product Number', 'figero'),
                'description' => __('Enter the number of products you want to display Ex: 3,4,6,8,9 etc', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'p_title' => array(
                'id' => 'figero_options[p_title]',
                'label' => __('Product Title (Required)', 'figero'),
                'description' => __('Enter your product name.', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'p_email' => array(
                'id' => 'figero_options[p_email]',
                'label' => __('Paypal Email (Required)', 'figero'),
                'description' => __("Enter your paypal email address.", 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'p_thank' => array(
                'id' => 'figero_options[p_thank]',
                'label' => __('Thank you page URL (Required)', 'figero'),
                'description' => __("Enter your thank you page redirect URL.", 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'p_cancel' => array(
                'id' => 'figero_options[p_cancel]',
                'label' => __('Cancel page URL (Required)', 'figero'),
                'description' => __('Enter your cancel page redirect URL.', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'p_price' => array(
                'id' => 'figero_options[p_price]',
                'label' => __('Product Price (Required)', 'figero'),
                'description' => __("Enter your product price", 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'figero_bottom_feature_buynow_btntext' => array(
                'id' => 'figero_options[figero_bottom_feature_buynow_btntext]',
                'label' => __('Bottom Feature Buy Now Button Text', 'figero'),
                'description' => __('Enter your text for bottom feature buy now button.', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'p_img' => array(
                'id' => 'figero_options[p_img]',
                'label' => __('Image Button URL (Optional)', 'figero'),
                'description' => __('Choose your button image if you want to change default button image.', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'figero_currency_option' => array(
                'id' => 'figero_options[figero_currency_option]',
                'label' => __('Choose Currency', 'figero'),
                'description' => __('Select Currency For Selling Your Product Selling', 'figero'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' => $currency_option,
                'default' => ''
            ),
            'figero_altstylesheet' => array(
                'id' => 'figero_options[figero_altstylesheet]',
                'label' => __('Theme Stylesheet', 'figero'),
                'description' => __('Select the color of the theme from different available colors.', 'figero'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' => $alt_stylesheets,
                'default' => ''
            ),
            'figero_lanstylesheet' => array(
                'id' => 'figero_options[figero_lanstylesheet]',
                'label' => __('Theme Language', 'figero'),
                'description' => __('By default the theme content displays from left to right which you can change to right to left i.e. switching it to RTL.', 'figero'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' => $lan_stylesheets,
                'default' => ''
            ),
            'figero_keyword' => array(
                'id' => 'figero_options[figero_keyword]',
                'label' => __('Meta Keywords (comma separated)', 'figero'),
                'description' => __('Meta keywords provide search engines with additional information about topics that appear on your site. This only applies to your home page. Keyword Limit Maximum 8.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_description' => array(
                'id' => 'figero_options[figero_description]',
                'label' => __('Meta Description', 'figero'),
                'description' => __('You should use meta descriptions to provide search engines with additional information about topics that appear on your site. This only applies to your home page.Optimal Length for Search Engines, Roughly 155 Characters.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_author' => array(
                'id' => 'figero_options[figero_author]',
                'label' => __('Meta Author Name', 'figero'),
                'description' => __('You should write the full name of the author here. This only applies to your home page.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'footer_widget_column_on_off' => array(
                'id' => 'figero_options[footer_widget_column_on_off]',
                'label' => __('Widget Area Selector', 'figero'),
                'description' => __('Select the number of Widget Areas to be displayed.', 'figero'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => '',
                'choices' => array(
                    '1' => 'One Column widget Area',
                    '2' => 'Two Column widget Area',
                    '3' => 'Three Column widget Area',
                    '4' => 'Four Column widget Area'
                )
            ),
            'footer_widget_on_off' => array(
                'id' => 'figero_options[footer_widget_on_off]',
                'label' => __('Footer Widget On/Off', 'figero'),
                'description' => __('Switch On/Off footer widget.', 'figero'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => $on_off
            ),
            'about_agency' => array(
                'id' => 'figero_options[about_agency]',
                'label' => __('About Agency', 'figero'),
                'description' => __('Write description of your company.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_cright' => array(
                'id' => 'figero_options[figero_cright]',
                'label' => __('Copyright Text', 'figero'),
//              'description' => __('Write your copyright text.', 'figero'),
                'description' => __('The areas that you would like to configure is called Footer Widget areas that you can configure from Dashboard->Appearance->Widget.<br/> All you need to do is just place your desired Widgets under the Footer Widget Areas (First, Second, Third, etc.) they will appear on the footer of your site. <br/> If you want to hide the footer widget contents then, just place a Blank Text Widget under Footer Widget Areas. <br/> You can also refer this tutorial link: <a href="https://www.inkthemes.com/how-to-use-widgets-in-wordpress/">https://www.inkthemes.com/how-to-use-widgets-in-wordpress/</a>', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'figero_contact_captcha' => array(
                'id' => 'figero_options[figero_contact_captcha]',
                'label' => __('Captcha On/Off', 'figero'),
                'description' => __('Choose the option to on/off captcha field on Contact Template.', 'figero'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'off',
                'choices' => $onoff_switch
            ),
            'figero_captcha_site_key' => array(
                'id' => 'figero_options[figero_captcha_site_key]',
                'label' => __('Captcha Site Key', 'figero'),
                'description' => __("Enter the google recaptcha site key or public key here. If you didn't have site key, go to <a href='https://www.google.com/recaptcha/intro/index.html'>https://www.google.com/recaptcha/intro/index.html</a> to generate new one.", 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'figero_captcha_secret_key' => array(
                'id' => 'figero_options[figero_captcha_secret_key]',
                'label' => __('Captcha Secret Key', 'figero'),
                'description' => __("Enter the google recaptcha Secret key or private key here. If you didn't have site key, go to <a href='https://www.google.com/recaptcha/intro/index.html'>https://www.google.com/recaptcha/intro/index.html</a> to generate new one.", 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
        );
        return $theme_settings;
    }

    public static function inkthemes_Controls($wp_customize) {


        $sections = self::inkthemes_Section_Content();
        $settings = self::inkthemes_Settings();

        /*
         * Begin: Calling Selective refresh function for each settings.
         */
        foreach ($settings as $k => $v) {
            $wp_customize->selective_refresh->add_partial($v['id'], array(
                'selector' => '.' . $k,
            ));
        }

        foreach ($sections as $section_id => $section_content) {

            foreach ($section_content as $section_content_id) {

                switch ($settings[$section_content_id]['setting_type']) {
                    case 'image':
                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_url');
                        $wp_customize->add_control(new WP_Customize_Image_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id']
                                )
                        ));
                        break;

                    case 'text':
                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_text');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'text'
                                )
                        ));
                        break;

                    case 'textarea':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_textarea');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'textarea'
                                )
                        ));
                        break;

                    case 'link':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_url');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'text'
                                )
                        ));
                        break;

                    case 'color':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_color');

                        $wp_customize->add_control(new WP_Customize_Color_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id']
                                )
                        ));
                        break;

                    case 'number':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_number');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'text'
                                )
                        ));
                        break;

                    case 'select':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_select');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'select',
                            'choices' => $settings[$section_content_id]['choices']
                                )
                        ));
                        break;

                    case 'radio':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_radio');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'radio',
                            'choices' => $settings[$section_content_id]['choices']
                                )
                        ));
                        break;

                    case 'editor':
                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_editor');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'textarea'
                                )
                        ));
                        break;

                    default:
                        break;
                }
            }
        }
    }

    public static function add_setting($wp_customize, $setting_id, $default, $type, $sanitize_callback) {
        $wp_customize->add_setting($setting_id, array(
            'default' => $default,
            'capability' => 'edit_theme_options',
            'sanitize_callback' => array('inkthemes_Customizer', $sanitize_callback),
            'type' => $type
                )
        );
    }

    /**
     * adds sanitization callback funtion : textarea
     * @package inkthemes
     */
    public static function inkthemes_sanitize_textarea($value) {
        $value = esc_html($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : url
     * @package inkthemes
     */
    public static function inkthemes_sanitize_url($value) {
        $value = esc_url($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : text
     * @package inkthemes
     */
    public static function inkthemes_sanitize_text($value) {
        $value = sanitize_text_field($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : email
     * @package inkthemes
     */
    public static function inkthemes_sanitize_email($value) {
        $value = sanitize_email($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : number
     * @package inkthemes
     */
    public static function inkthemes_sanitize_number($value) {
        $value = preg_replace("/[^0-9+ ]/", "", $value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : number
     * @package inkthemes
     */
    public static function inkthemes_sanitize_color($value) {
        $value = sanitize_hex_color($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : select
     * @package inkthemes
     */
    public static function inkthemes_sanitize_select($value, $setting) {
        global $wp_customize;
        $control = $wp_customize->get_control($setting->id);
        if (array_key_exists($value, $control->choices)) {
            return $value;
        } else {
            return $setting->default;
        }
    }

    /**
     * adds sanitization callback funtion : radio
     * @package inkthemes
     */
    public static function inkthemes_sanitize_radio($value, $setting) {
        global $wp_customize;
        $control = $wp_customize->get_control($setting->id);
        if (array_key_exists($value, $control->choices)) {
            return $value;
        } else {
            return $setting->default;
        }
    }

    /**
     * function to sanitize the html strings
     * Allowed only the WordPress allowed html tags and iframe html tag
     * @param string $value
     * @return string
     */
    function inkthemes_sanitize_editor($value) {
        $array = wp_kses_allowed_html('post');
        $allowedtags = array(
            'iframe' => array(
                'width' => array(),
                'height' => array(),
                'frameborder' => array(),
                'scrolling' => array(),
                'src' => array(),
                'marginwidth' => array(),
                'marginheight' => array()
            )
        );
        $data = array_merge($allowedtags, $array);
        $value = wp_kses($value, $data);
        return $value;
    }

}

// Setup the Theme Customizer settings and controls...
add_action('customize_register', array('inkthemes_Customizer', 'inkthemes_Register'));

function inkthemes_registers() {
wp_register_script('inkthemes_jquery_ui', '//code.jquery.com/ui/1.11.0/jquery-ui.js', array("jquery"), true);
wp_register_script('inkthemes_customizer_script1', get_template_directory_uri() . '/includes/js/inkthemes_customizer.js', array("jquery", "inkthemes_jquery_ui"), true);
wp_enqueue_script('inkthemes_customizer_script1');
wp_localize_script('inkthemes_customizer_script1', 'ink_advert', array(
'pro' => __('View PRO version','figero'),
'url' => esc_url('https://www.inkthemes.com/market/flexible-wordpress-theme/'),
'support_text' => __('Need Help!', 'figero'),
'support_url' => esc_url('https://www.inkthemes.com/contact-us/')
)
);
}

add_action('customize_controls_enqueue_scripts', 'inkthemes_registers');


/**
 * Load dynamic logic for the customizer controls area.
 */
function figero_panels_js() {
//    wp_enqueue_script('figero-customize-controls', FIGERO_DIR_URI . "/assets/js/customize-controls.js", array(), '1.0', true);
    wp_enqueue_style('fontawesome', FIGERO_DIR_URI . "/assets/font-awesome/css/font-awesome.css");
}

add_action('customize_controls_enqueue_scripts', 'figero_panels_js');
