<?php

/**
 * Lite Manager
 *
 * @package Figero
 * @since 1.0.12
 */
/**
 * About page class
 */
require_once get_template_directory() . '/ti-notifications/ti-about-page/class-inkthemes-about-page.php';

/*
 * About page instance
 */


$config = array(
    // Menu name under Appearance.
    'menu_name' => apply_filters('figero_about_page_filter', __('About Figero', 'figero'), 'menu_name'),
    // Page title.
    'page_name' => apply_filters('figero_about_page_filter', __('About Figero', 'figero'), 'page_name'),
    // Main welcome title
    /* translators: s - theme name */
    'welcome_title' => apply_filters('figero_about_page_filter', sprintf(__('Welcome to %s!', 'figero'), 'Figero'), 'welcome_title'),
    // Main welcome content
    'welcome_content' => apply_filters('figero_about_page_filter', esc_html__("Figero is the best of our creations to provide you the best of both world's experience. It has got all the tools to create a fully fledged website right from your business to your blogs and possibly everything! In short, it's a multipurpose theme for every niche and for every one. Figero lets you do all customization in it responsive and retina ready layout. Then it has got parallax and text sliders along with numerous color options to create a striking front-page. It's advanced functionalities like featured section with parallax , sliding blog section gives a big picture of the entire website on the homepage itself. Packed with compatibility of WooCommerce it helps in furnishing your own e-store. You can tweak up each aspect of the website without any hassle using real-time customizer. This makes customization as easy as ABC. So, you can edit any element and can see the changes in real-time with reloading every time. In a nutshell, with Figero you won't need anything additional for your website, it has everything you'll ever need! ", 'figero'), 'welcome_content'),
    /**
     * Tabs array.
     *
     * The key needs to be ONLY consisted from letters and underscores. If we want to define outside the class a function to render the tab,
     * the will be the name of the function which will be used to render the tab content.
     */
    'tabs' => array(
        'getting_started' => __('Getting Started', 'figero'),
        //'recommended_actions' => __( 'Recommended Actions', 'figero' ),
        //'recommended_plugins' => __( 'Useful Plugins', 'figero' ),
        'support' => __('Support', 'figero'),
        'changelog' => __('Changelog', 'figero'),
        'free_pro' => __('Free vs Paid', 'figero'),
    ),
    // Support content tab.
    'support_content' => array(
        'first' => array(
            'title' => esc_html__('Contact Support', 'figero'),
            'icon' => 'dashicons dashicons-sos',
            'text' => esc_html__('Our support staff is always dedicated to hold your website up and running without any glitch. If you need any kind help while creating a website with Figero you can contact us via our conatct form.', 'figero'),
            'button_label' => esc_html__('Contact Us', 'figero'),
            'button_link' => esc_url('https://www.inkthemes.com/contact-us/'),
            'is_button' => true,
            'is_new_tab' => true,
        ),
        'second' => array(
            'title' => esc_html__('Support', 'figero'),
            'icon' => 'dashicons dashicons-book-alt',
            'text' => esc_html__('Checkout our support forum for more help.', 'figero'),
            'button_label' => esc_html__('Support Forum', 'figero'),
            'button_link' => 'https://wordpress.org/support/theme/figero',
            'is_button' => false,
            'is_new_tab' => true,
        ),
        'third' => array(
            'title' => esc_html__('Changelog', 'figero'),
            'icon' => 'dashicons dashicons-portfolio',
            'text' => esc_html__('We keep a track and manitain all the records of our enhanced features or latest versions of theme in the Changelog. You can find all those changes and uodated anytime in our Changelog.', 'figero'),
            'button_label' => esc_html__('Changelog', 'figero'),
            'button_link' => esc_url(admin_url('themes.php?page=figero-welcome&tab=changelog&show=yes')),
            'is_button' => false,
            'is_new_tab' => false,
        ),
    ),
    // Getting started tab
    'getting_started' => array(
        'first' => array(
            'title' => esc_html__('Go to Customizer & Start Designing Your Website', 'figero'),
            'text' => esc_html__('Create your business website instantly with Our support staff is always dedicated to hold your website up and running without any glitch. If you need any kind help while creating a website with Figero you can contact us via our conatct form. WordPress Theme. With our front end customizer, design the theme as per your requirement and see the changes in real time.', 'figero'),
            'button_label' => esc_html__('Go to the Customizer', 'figero'),
            'button_link' => esc_url(admin_url('customize.php')),
            'is_button' => true,
            'recommended_actions' => false,
            'is_new_tab' => true,
        ),
        'third' => array(
            'title' => esc_html__('Upgrade To Figero WordPress Theme [Pro]', 'figero'),
            'text' => esc_html__('Make a move to Figero Pro. Get WooCommerce, Advance CSS, Mobile friendliness and more when you switch from basic to advance.', 'figero'),
            'button_label' => esc_html__('View Pro Features', 'figero'),
            'button_link' => 'https://www.inkthemes.com/market/flexible-wordpress-theme/',
            'is_button' => false,
            'recommended_actions' => true,
            'is_new_tab' => false,
        ),
    ),
    // Free vs PRO array.
    'free_pro' => array(
        'free_theme_name' => 'Figero Lite',
        'pro_theme_name' => 'Figero Pro',
        'pro_theme_link' => 'https://www.inkthemes.com/market/wordpress-business-theme/',
        /* translators: s - theme name */
        'get_pro_theme_label' => sprintf(__('Get %s now!', 'figero'), 'Figero Pro'),
        'banner_link' => 'https://www.inkthemes.com/doc/72278/',
        //'banner_src'          => get_template_directory_uri() . '/assets/images/feature-image.png',
        'features' => array(
            array(
                'title' => __('Live Customizer', 'figero'),
                'description' => __('Visible Editing Shortcuts For HomePage Elements. Now, edit the content directly by clicking the edit icon(pencil) on homepage elements.', 'figero'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Translation Ready', 'figero'),
                'description' => __('The theme is compatible with WPML plugin and you can display the contents in your desired language.', 'figero'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Mobile Friendly', 'figero'),
                'description' => __('Responsive layout. Works on every device.', 'figero'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Site Title & Tagline', 'figero'),
                'description' => __('You can add Site Title & Tagline of your choice. ', 'figero'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Logo & Favicon', 'figero'),
                'description' => __('You can upload Logo & Favicon of your choice. ', 'figero'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Background Image', 'figero'),
                'description' => __('You can use any background image you want.', 'figero'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Home Page Blog Section', 'figero'),
                'description' => __('Keep your customers updated with latest news and services of your business.', 'figero'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Social Icons', 'figero'),
                'description' => __('You can put all your social links with customizable icons', 'figero'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Contact Page ettings', 'figero'),
                'description' => __('Allows you to add a live map to your contact page', 'figero'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('24*7 Support', 'figero'),
                'description' => __('Get instant solution to all your queries with our 24*7 supportt', 'figero'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Home Page Parallax Image Slider', 'figero'),
                'description' => __('Make your Home Page more attractive by using amazing Sliders ', 'figero'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Home Page Text Slider', 'figero'),
                'description' => __('Make your Home Page more attractive by using Text Sliders ', 'figero'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Home Page Feature Area On/Off', 'figero'),
                'description' => __('You can enable or disable your Home Page Feature Area', 'figero'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Feature Area Column Option', 'figero'),
                'description' => __('You can now select the number of column Feature Area to be displayed.', 'figero'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Page & Blog Sidebar Layout ', 'figero'),
                'description' => __('Align your Blog and Page Layout Center, Left & Right', 'figero'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Typography', 'figero'),
                'description' => __('You can now enchance your website by giving it an amazing look through different text styles.', 'figero'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            
            array(
                'title' => __('WooCommerce & Shop Section', 'figero'),
                'description' => __('Instantly create an e-commerce website to sell products online.', 'figero'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Footer Widget Column Area Option', 'figero'),
                'description' => __('Select the number of Widget Areas to be displayed from the provided options.', 'figero'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Footer Widget Area On/Off', 'figero'),
                'description' => __('You can switch On/Off footer widget area from here.', 'figero'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Bottom Footer Area', 'figero'),
                'description' => __('Change your bottom copyright text and contact details from here.', 'figero'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Styling Options', 'figero'),
                'description' => __('Design your website with more colors and styles', 'figero'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Google Analytics Tracking Code', 'figero'),
                'description' => __('Analyze and track the number of visitors on your website with Google Analytics.', 'figero'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('SEO Optimized', 'figero'),
                'description' => __('Get a completely SEO optimized website for your business.', 'figero'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
        ),
    ),
);
Inkthemes_About_Page::init(apply_filters('figero_about_page_array', $config));
