<?php
class ge_ifame_code_widget extends WP_Widget {

    /**
     * Sets up the widgets name etc
     */
    public function __construct() {
        $widget_ops = array(
            'classname' => 'iframe_code_widget',
            'description' => __('Widget to display iframe', 'figero'),
        );
        parent::__construct('iframe', __('Iframe Code Widget', 'figero'), $widget_ops);
    }

    /**
     * Outputs the content of the widget
     *
     * @param array $args
     * @param array $instance
     */
    public function widget($args, $instance) {
        wp_enqueue_style('ge-iframecodewidget', get_template_directory_uri() . "/includes/iframe-code-widget/css/iframe-code-widget.css", '', '', 'all');
//        var_dump($instance);
        echo $args['before_widget'];
        if (!empty($instance['title'])) {
            echo $args['before_title'] . apply_filters('widget_title', $instance['title']) . $args['after_title'];
        }
        $_desc = $instance['owner_desc'];
        ?>
        <div class="iframe_container">
            <div class="user_desc"><?php echo $_desc; ?></div>
        </div>
        <?php
        echo $args['after_widget'];
    }

    /**
     * Outputs the options form on admin
     * @param array $instance The widget options
     */
    public function form($instance) {
        $title = !empty($instance['title']) ? $instance['title'] : __('Embed Your Code', 'figero');
        $owner_desc = !empty($instance['owner_desc']) ? $instance['owner_desc'] : __("<iframe id='iframediv' src='//www.facebook.com/plugins/likebox.php?href=http%3A%2F%2Fwww.facebook.com%2Finkthemes&width=369&height=215&colorscheme=light&show_faces=true&border_color&stream=false&'></iframe>", 'figero');
        ?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'figero'); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>">
            <label for="<?php echo $this->get_field_id('owner_desc'); ?>"><?php _e('Description:', 'figero'); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id('owner_desc'); ?>" name="<?php echo $this->get_field_name('owner_desc'); ?>" type="text" value="<?php echo $owner_desc; ?>">
        </p>
        <?php
    }

    /**
     * Processing widget options on save
     *
     * @param array $new_instance The new options
     * @param array $old_instance The previous options
     */
    public function update($new_instance, $old_instance) {
        // processes widget options to be saved
        $instance = array();
        $instance['title'] = (!empty($new_instance['title']) ) ? strip_tags($new_instance['title']) : __('Embed Your Code', 'figero');
        $instance['owner_desc'] = (!empty($new_instance['owner_desc']) ) ? $new_instance['owner_desc'] : "<iframe id='iframediv' src='//www.facebook.com/plugins/likebox.php?href=http%3A%2F%2Fwww.facebook.com%2Finkthemes&width=369&height=215&colorscheme=light&show_faces=true&border_color&stream=false&'></iframe>";
        return $instance;
    }

}

/**
 * Register widget on init
 *
 * @since 1.0
 */
function ge_register_iframe_code_widget() {
    register_widget('ge_ifame_code_widget');
}

add_action('widgets_init', 'ge_register_iframe_code_widget', 1);
?>