<?php
class ge_social_icon_widget extends WP_Widget {

    /**
     * Sets up the widgets name etc
     */
    public function __construct() {
        $widget_ops = array(
            'classname' => 'social_icon_widget',
            'description' => __('Widget to display social icons', 'figero'),
        );
        parent::__construct('socialicons', __('Social Icon Widget', 'figero'), $widget_ops);
    }

    /**
     * Outputs the content of the widget
     *  
     * @param array $args
     * @param array $instance
     */
    public function widget($args, $instance) {
        wp_enqueue_style('ge-socialiconwidget', get_template_directory_uri() . "/includes/social-icon-widget/css/social-icon-widget.css", '', '', 'all'
        );
        wp_enqueue_style('ge-font-awesome', get_template_directory_uri() . "/includes/social-icon-widget/font-awesome/css/font-awesome.css", '', '', 'all');

//        var_dump($instance);
        echo $args['before_widget'];
        if (!empty($instance['title'])) {
            echo $args['before_title'] . apply_filters('widget_title', $instance['title']) . $args['after_title'];
        }
        ?>
        <div class="social_icon_container">
            <div class="user_desc"> <?php // echo $instance['title']; echo $instance['fb']; echo $instance['tw']; echo $instance['gplus']; echo $instance['insta']; echo $instance['bl']; echo $instance['pi']; echo $instance['dr']; echo $instance['rs']; echo $instance['em'];       ?>
                <div class="col-md-4 col-sm-4 col-xs-4 fb icon_cont"><div class="coloricon"><a class="fb" href="<?php echo $instance['fb']; ?>"><i class="fa fa-facebook" aria-hidden="true"></i></a></div></div><div class="col-md-4 col-sm-4 col-xs-4 tw icon_cont"><div class="coloricon"><a class="tw" href="<?php echo $instance['tw']; ?>"><i class="fa fa-twitter" aria-hidden="true"></i></a></div></div><div class="col-md-4 col-sm-4 col-xs-4 gplus icon_cont"><div class="coloricon"><a class="gplus" href="<?php echo $instance['gplus']; ?>"><i class="fa fa-google-plus" aria-hidden="true"></i></a></div></div>
                <div class="col-md-4 col-sm-4 col-xs-4 ig icon_cont"><div class="coloricon"><a class="lg" href="<?php echo $instance['insta']; ?>"><i class="fa fa-instagram" aria-hidden="true"></i></a></div></div><div class="col-md-4 col-sm-4 col-xs-4 bl icon_cont"><div class="coloricon"><a class="bl" href="<?php echo $instance['bl']; ?>"><i class="fa fa-heart" aria-hidden="true"></i></a></div></div><div class="col-md-4 col-sm-4 col-xs-4 pi icon_cont"><div class="coloricon"><a class="pi" href="<?php echo $instance['pi']; ?>"><i class="fa fa-pinterest" aria-hidden="true"></i></a></div></div>
                <div class="col-md-4 col-sm-4 col-xs-4 dr icon_cont"><div class="coloricon"><a class="dr" href="<?php echo $instance['dr']; ?>"><i class="fa fa-dribbble" aria-hidden="true"></i></a></div></div><div class="col-md-4 col-sm-4 col-xs-4 rss icon_cont"><div class="coloricon"><a class="rss" href="<?php echo $instance['rs']; ?>"><i class="fa fa-rss" aria-hidden="true"></i></a></div></div><div class="col-md-4 col-sm-4 col-xs-4 em icon_cont"><div class="coloricon"><a class="email" href="<?php echo $instance['em']; ?>"><i class="fa fa-envelope" aria-hidden="true"></i></a></div></div>
                <div class="clear"></div>
            </div>
        </div>
        <?php
        echo $args['after_widget'];
    }

    /**
     * Outputs the options form on admin
     * @param array $instance The widget options
     */
    public function form($instance) {
        $title = !empty($instance['title']) ? $instance['title'] : __('Social', 'figero');
        $fb = !empty($instance['fb']) ? $instance['fb'] : esc_url('//www.facebook.com');
        $tw = !empty($instance['tw']) ? $instance['tw'] : esc_url('//www.twitter.com');
        $gplus = !empty($instance['gplus']) ? $instance['gplus'] : esc_url('//www.plus.google.com');
        $insta = !empty($instance['insta']) ? $instance['insta'] : esc_url('//www.instagram.com');
        $bl = !empty($instance['bl']) ? $instance['bl'] : esc_url('//www.bloglovin.com');
        $pi = !empty($instance['pi']) ? $instance['pi'] : esc_url('//www.pinterest.com');
        $dr = !empty($instance['dr']) ? $instance['dr'] : esc_url('//www.dribbble.com');
        $rs = !empty($instance['rs']) ? $instance['rs'] : esc_url('//www.rss.com');
        $em = !empty($instance['em']) ? $instance['em'] : esc_url('//www.gmail.com');
        ?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'figero'); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>">

            <label for="<?php echo $this->get_field_id('fb'); ?>"><?php _e('Facebook:', 'figero'); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id('fb'); ?>" name="<?php echo $this->get_field_name('fb'); ?>" type="text" value="<?php echo esc_attr($fb); ?>">

            <label for="<?php echo $this->get_field_id('tw'); ?>"><?php _e('Twitter:', 'figero'); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id('tw'); ?>" name="<?php echo $this->get_field_name('tw'); ?>" type="text" value="<?php echo esc_attr($tw); ?>">

            <label for="<?php echo $this->get_field_id('gplus'); ?>"><?php _e('Google Plus:', 'figero'); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id('gplus'); ?>" name="<?php echo $this->get_field_name('gplus'); ?>" type="text" value="<?php echo esc_attr($gplus); ?>">

            <label for="<?php echo $this->get_field_id('insta'); ?>"><?php _e('Instagram:', 'figero'); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id('insta'); ?>" name="<?php echo $this->get_field_name('insta'); ?>" type="text" value="<?php echo esc_attr($insta); ?>">

            <label for="<?php echo $this->get_field_id('bl'); ?>"><?php _e('Bloglovin:', 'figero'); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id('bl'); ?>" name="<?php echo $this->get_field_name('bl'); ?>" type="text" value="<?php echo esc_attr($bl); ?>">

            <label for="<?php echo $this->get_field_id('pi'); ?>"><?php _e('Pinterest:', 'figero'); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id('pi'); ?>" name="<?php echo $this->get_field_name('pi'); ?>" type="text" value="<?php echo esc_attr($pi); ?>">

            <label for="<?php echo $this->get_field_id('dr'); ?>"><?php _e('Dribble:', 'figero'); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id('dr'); ?>" name="<?php echo $this->get_field_name('dr'); ?>" type="text" value="<?php echo esc_attr($dr); ?>">

            <label for="<?php echo $this->get_field_id('rss'); ?>"><?php _e('RSS:', 'figero'); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id('rs'); ?>" name="<?php echo $this->get_field_name('rs'); ?>" type="text" value="<?php echo esc_attr($rs); ?>">

            <label for="<?php echo $this->get_field_id('em'); ?>"><?php _e('Email:', 'figero'); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id('em'); ?>" name="<?php echo $this->get_field_name('em'); ?>" type="text" value="<?php echo esc_attr($em); ?>">
        </p>
        <?php
    }

    /**
     * Processing widget options on save
     *
     * @param array $new_instance The new options
     * @param array $old_instance The previous options
     */
    public function update($new_instance, $old_instance) {
        // processes widget options to be saved
        $instance = array();
        $instance['title'] = (!empty($new_instance['title']) ) ? strip_tags($new_instance['title']) : __('Social', 'figero');
        $instance['fb'] = (!empty($new_instance['fb']) ) ? strip_tags($new_instance['fb']) : esc_url('//www.facebook.com');
        $instance['tw'] = (!empty($new_instance['tw']) ) ? strip_tags($new_instance['tw']) : esc_url('//www.twitter.com');
        $instance['gplus'] = (!empty($new_instance['gplus']) ) ? strip_tags($new_instance['gplus']) : esc_url('//www.instagram.com');
        $instance['insta'] = (!empty($new_instance['insta']) ) ? strip_tags($new_instance['insta']) : esc_url('//www.plus.google.com');
        $instance['bl'] = (!empty($new_instance['bl']) ) ? strip_tags($new_instance['bl']) : esc_url('//www.bloglovin.com');
        $instance['pi'] = (!empty($new_instance['pi']) ) ? strip_tags($new_instance['pi']) : esc_url('//www.pinterest.com');
        $instance['dr'] = (!empty($new_instance['dr']) ) ? strip_tags($new_instance['dr']) : esc_url('//www.dribbble.com');
        $instance['rs'] = (!empty($new_instance['rs']) ) ? strip_tags($new_instance['rs']) : esc_url('//www.rss.com');
        $instance['em'] = (!empty($new_instance['em']) ) ? strip_tags($new_instance['em']) : esc_url('//www.gmail.com');
        return $instance;
    }

}

/**
 * Register widget on init
 * @since 1.0
 */
function ge_register_social_icon_widget() {
    register_widget('ge_social_icon_widget');
}

add_action('widgets_init', 'ge_register_social_icon_widget', 1);
?>