<?php
/**
 * The template for displaying Search Results pages.
 *
 * @package WordPress
 * 
 */
get_header();
?>
<!--contact content start-->
<div class="page-breadcumb-container">
    <img src=<?php echo (figero_get_option('figero_breadcrumb_bg') != '') ? figero_get_option('figero_breadcrumb_bg') : FIGERO_DIR_URI . 'assets/images/breadcrumb-image.png'; ?> />
</div>
<div class="page-info-container">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="page_info">
                    <?php
                    if (function_exists('figero_breadcrumbs'))
                        figero_breadcrumbs();
                    ?> 
                </div>
            </div>
        </div>
    </div>
</div>
<!--<div class="strip_line"></div>-->
<div class="content-container">
    <div class="container">
        <div class="row">
            <!--<div class="col-md-12">-->
            <div class="content-main">
                <div class="row row-blog">
                    <div class="col-md-8 col-blog col-sm-8">
                        <!--Start content Wrapper-->
                        <div class="content-wrapper">
                            <?php if (have_posts()) : ?>
                                <h1><?php printf(__('Search Results for: %s', 'figero'), '' . get_search_query() . ''); ?></h1>
                                <!--Start Post-->
                                <?php
                                if (have_posts()) : while (have_posts()) : the_post();
                                        get_template_part('content');
                                    endwhile;
                                else:
                                    ?>
                                    <div class="blog-info">
                                        <p>
                                            <?php _e('Sorry, no posts matched your criteria.', 'figero'); ?>
                                        </p>
                                    </div>
                                <?php endif; ?>

                                <!--End Post-->
                            <?php else : ?>
                                <article id="post-0" class="post no-results not-found">
                                    <header class="entry-header">
                                        <h1 class="entry-title">
                                            <?php _e('Nothing Found', 'figero'); ?>
                                        </h1>
                                    </header>
                                    <!-- .entry-header -->
                                    <div class="entry-content">
                                        <p>
                                            <?php _e('Sorry, but nothing matched your search criteria. Please try again with some different keywords.', 'figero'); ?>
                                        </p>
                                        <?php get_search_form(); ?>
                                    </div>
                                    <!-- .entry-content -->
                                </article>
                            <?php endif; ?>
                            <div class="clear"></div>
                            <nav id="nav-single"> <span class="nav-previous">
                                    <?php next_posts_link(__('&larr; Older posts', 'figero')); ?>
                                </span> <span class="nav-next">
                                    <?php previous_posts_link(__('Newer posts &rarr;', 'figero')); ?>
                                </span> </nav>
                        </div>
                        <!--End content Wrapper-->
                    </div>
                    <!--Start Sidebar-->
                    <?php get_sidebar(); ?>
                    <!--End Sidebar-->
                </div>
            </div>
            <!--</div>-->
        </div>
    </div>
</div>
<!--contact content end-->
<?php
get_footer();
