<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query. 
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 */
get_header();
?>
<!--contact content start-->
<div class="page-breadcumb-container">
    <img src=<?php echo (figero_get_option('figero_breadcrumb_bg') != '') ? figero_get_option('figero_breadcrumb_bg') : FIGERO_DIR_URI . 'assets/images/breadcrumb-image.png'; ?> />
</div>
<div class="page-info-container">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="page_info">
                    <?php
                    if (function_exists('figero_breadcrumbs'))
                        figero_breadcrumbs();
                    ?> 
                </div>
            </div>
        </div>
        <div class="clear"></div>
    </div>
</div>
<!--<div class="strip_line"></div>-->
<div class="content-container" style="<?php if (figero_get_option('figero_bodybg') != '') { ?>background:url(<?php echo wp_kses_post(figero_get_option('figero_bodybg')); ?>)<?php
} else {
    
}
?>">
    <div class="container">
        <div class="row">
            <!--<div class="col-lg-12">-->
            <div class="content-main">
                <div class="row row-blog">
                    <div class="col-md-8 col-blog col-sm-8">
                        <!--Start content Wrapper-->
                        <div class="content-wrapper">
                            <?php
                            if (have_posts()):
                                while (have_posts()) : the_post();
                                    ?>
                                    <div class="blog-info">
                                        <div class="content-info single-post">
                                            <h1 class="page-title"><?php the_title(); ?></h1>
                                            <p class="light"><?php
                                                printf(__('Posted by %1$s in %2$s', 'figero'), sprintf('<a href="%1$s">%2$s</a>', esc_url(get_author_posts_url(get_the_author_meta('ID'))), esc_html(get_the_author())
                                                        ), sprintf('<a href="%1$s" rel="bookmark">%2$s</a>', esc_url(get_permalink()), get_the_date('M, Y')
                                                        )
                                                );
                                                ?>
                                            </p>                                      
                                            <?php
                                            figero_paypal_button(); //Function to create paypal button  
                                            the_content();
                                            ?>
                                        </div>
                                        <div class="category">
                                            <div class="cat"> <img  src="<?php echo FIGERO_DIR_URI; ?>assets/images/cat-img-1.png">
                                                <p><b><?php _e('Category:&nbsp;', 'figero'); ?></b>
                                                    <?php the_category(', '); ?>
                                                </p>
                                            </div>
                                            <?php if (has_tag()) { ?>
                                                <div class="tag"> <img  src="<?php echo FIGERO_DIR_URI; ?>assets/images/cat-img-2.png">
                                                    <?php the_tags(__('Post Tagged with ', 'figero'), ', ', ''); ?>
                                                </div>
                                            <?php } ?>
                                        </div>
                                        <div class="clear"></div>
                                        <nav id="nav-single"> <span class="nav-previous">
                                                <?php previous_post_link('%link', __('<span class="meta-nav">&larr;</span> Previous Post ', 'figero')); ?>
                                            </span> <span class="nav-next">
                                                <?php next_post_link('%link', __('Next Post <span class="meta-nav">&rarr;</span>', 'figero')); ?>
                                            </span> </nav>
                                        <?php
                                    endwhile;
                                endif;
                                wp_link_pages(array('before' => '<div class="clear"></div><div class="page-link"><span>' . __('Pages:', 'figero') . '</span>', 'after' => '</div>'));
                                ?>
                                <div class="clear"></div>
                                <!--Start Comment Section-->
                                <?php comments_template(); ?>
                                <!--End comment Section-->
                            </div>
                        </div>
                        <!--End content Wrapper-->
                    </div>              
                    <!--Start Sidebar-->
                    <?php get_sidebar(); ?>
                    <!--End Sidebar-->
                </div>
            </div>
            <!--</div>-->
        </div>
        <div class="clear"></div>
    </div>
</div>
<!--contact content end-->
<?php
get_footer();
