<script src='https://www.google.com/recaptcha/api.js'></script>
<?php
/*
  Template Name: Contact
 */

$errMsg = '';
$succMsg = '';
$nameError = '';
$emailError = '';
$commentError = '';
if (isset($_POST['submitted'])) {
    if (esc_attr($_POST['contactName']) === '') {
        $nameError = __('Please enter your name.', 'figero');
        $hasError = true;
    } else {
        $name = esc_attr($_POST['contactName']);
    }
    if (esc_attr($_POST['email']) === '') {
        $emailError = __('Please enter your email address.', 'figero');
        $hasError = true;
    } else if (!filter_var(esc_attr($_POST['email']), FILTER_VALIDATE_EMAIL)) {
        $emailError = 'You entered an invalid email address.';
        $hasError = true;
    } else {
        $email = esc_attr($_POST['email']);
    }
    if (esc_attr($_POST['comments']) === '') {
        $commentError = __('Please enter a message.', 'figero');
        $hasError = true;
    } else {
        $comments = esc_attr($_POST['comments']);
    }

    if (figero_get_option('figero_contact_captcha') == 'on') {
        if (isset($_POST['g-recaptcha-response']) && !empty($_POST['g-recaptcha-response'])):
            //your site secret key
            $secret = wp_kses_post(figero_get_option('figero_captcha_secret_key'));
            //get verify response data
            $verifyResponse = WP_Filesystem('https://www.google.com/recaptcha/api/siteverify?secret=' . $secret . '&response=' . $_POST['g-recaptcha-response']);
            $responseData = json_decode($verifyResponse, true);
            if ($responseData["success"]) {
                // verified!
            } else {
                $hasError = true;
                $errMsg = $responseData["error-codes"][0];
            }
        else:
            $hasError = true;
            $errMsg = __('Please click on the reCAPTCHA box.', 'figero');
        endif;
    }
    if (!isset($hasError)) {
        $emailTo = get_option('tz_email');
        if (!isset($emailTo) || ($emailTo == '')) {
            $emailTo = get_option('admin_email');
        }
        $subject = '[PHP Snippets] From ' . $name;
        $body = "Name: $name \n\nEmail: $email \n\nComments: $comments";
        $headers = 'From: ' . $name . ' <' . $emailTo . '>' . "\r\n" . 'Reply-To: ' . $email;
        wp_mail($emailTo, $subject, $body, $headers);
        $emailSent = true;
    }
}
get_header();
?>
<!--contact content start-->
<div class="page-breadcumb-container">
    <img src=<?php echo (figero_get_option('figero_breadcrumb_bg') != '') ? figero_get_option('figero_breadcrumb_bg') : FIGERO_DIR_URI . 'assets/images/breadcrumb-image.png'; ?> />
</div>
<div class="page-info-container">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="page_info">
                    <?php
                    if (function_exists('figero_breadcrumbs'))
                        figero_breadcrumbs();
                    ?> 
                </div>
            </div>
        </div>
    </div>
</div>
<!--<div class="strip_line"></div>-->
<div class="content-container" style="<?php if (figero_get_option('figero_bodybg') != '') { ?>background:url(<?php echo wp_kses_post(figero_get_option('figero_bodybg')); ?>)<?php
}
?>">
    <div class="container">
        <div class="row">
            <!--<div class="col-md-12">-->
                <div class="content-main content-info">
                    <div class="row row-blog ">
                        <div class="col-md-8 col-blog col-sm-8">
                            <!--Start content Wrapper-->
                            <div class="content-wrapper contactus-wrapper">
                                <div class="contactus-content">
                                    <h2><?php echo (figero_get_option('figero_contact_us_feature_head')) ? figero_get_option('figero_contact_us_feature_head') : "We’d Love to Hear From You, Lets Get In Touch!"; ?></h2>
                                    <p><?php echo (figero_get_option('figero_contact_us_feature_desc')) ? figero_get_option('figero_contact_us_feature_desc') : "At vero eos et accusamus et iusto odios un dignissimos ducimus qui blan ditiis prasixer esentium voluptatum un deleniti atqueste sites excep turiitate non providentsimils. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, consequunturser magni dolores eos qui ratione voluptatem sequi nesciunt. Lorem ipsum dolor sit amet isse potenti. Vesquam ante aliquet lacusemper elit."; ?></p>
                                </div>
                                <div class="">
                                    <?php
                                    if (have_posts())
                                        while (have_posts()) : the_post();
                                            ?>
                                            <h1 class="page-heading">
                                                <?php // the_title(); ?>
                                            </h1>
                                            <?php if (isset($emailSent) && $emailSent == true) { ?>
                                                <div class="thanks">
                                                    <p><?php _e('Thanks, your email was sent successfully.', 'figero'); ?></p>
                                                </div>
                                                <?php
                                            } else {
                                                the_content();
                                                if (isset($hasError) || isset($captchaError)) {
                                                    ?>
                                                    <p class="error"><?php _e('Sorry, an error occured. ', 'figero'); ?></p>
                                                <?php } ?>
                                                <form action="<?php the_permalink(); ?>" id="contactForm" method="post">
                                                    <label for="contactName"><?php _e('Name ', 'figero'); ?> <span class="required"><?php _e('(required)', 'figero'); ?></span>:</label>
                                                    <?php if ($nameError != '') { ?>
                                                        <span class="error"> <?php echo $nameError; ?> </span>
                                                    <?php } ?>
                                                    <input type="text" name="contactName" id="contactName" value="" class="required requiredField" />
                                                    <label for="email"><?php _e('Email ', 'figero'); ?><span class="required"><?php _e('(required)', 'figero'); ?></span>:</label>
                                                    <?php if ($emailError != '') { ?>
                                                        <span class="error"> <?php echo $emailError; ?> </span>
                                                    <?php } ?>
                                                    <input type="text" name="email" id="email" value="" class="required requiredField email" />
                                                    <label for="commentsText"><?php _e('Message ', 'figero'); ?><span class="required"><?php _e('(required)', 'figero'); ?></span>:</label>
                                                    <?php if ($commentError != '') { ?>
                                                        <span class="error"> <?php echo $commentError; ?> </span>
                                                    <?php } ?>
                                                    <textarea name="comments" id="commentsText" rows="20" cols="30" class="required requiredField"><?php
                                                        if (isset($_POST['comments'])) {
                                                            echo esc_attr($_POST['comments']);
                                                        }
                                                        ?></textarea>
                                                    <?php
                                                    if (figero_get_option('figero_contact_captcha') == 'on') {
                                                        ?>
                                                        <div class="g-recaptcha" data-sitekey="<?php echo wp_kses_post(figero_get_option('figero_captcha_site_key')); ?>"></div><span class="error"> <?php $errMsg; ?> </span>
                                                        <br/>
                                                        <?php
                                                    }
                                                    ?>
                                                    <input class="submit" type="submit" value="<?php _e('Send Message', 'figero'); ?>"/>
                                                    <input type="hidden" name="submitted" id="submitted" value="true" />
                                                </form>
                                                <?php
                                            }
                                        endwhile;
                                    ?>
                                </div>
                            </div>
                            <!--End content Wrapper-->
                        </div>
                        <div class="col-md-4">
                            <div class="social-icon-container">
                                <ul class="social_logos">
                                    <?php if (figero_get_option('figero_facebook') != '') { ?>
                                        <li>
                                            <a rel="nofollow" href="<?php echo esc_url(figero_get_option('figero_facebook')); ?>"><i class="fa fa-facebook" aria-hidden="true"></i></a>
                                        </li>
                                        <?php
                                    }
                                    if (figero_get_option('figero_twitter') != '') {
                                        ?>
                                        <li>
                                            <a rel="nofollow" href="<?php echo esc_url(figero_get_option('figero_twitter')); ?>"><i class="fa fa-twitter" aria-hidden="true"></i></a>
                                        </li>
                                        <?php
                                    }
                                    if (figero_get_option('figero_linked') != '') {
                                        ?>
                                        <li>
                                            <a rel="nofollow" href="<?php echo esc_url(figero_get_option('figero_linked')); ?>"><i class="fa fa-linkedin" aria-hidden="true"></i></a>
                                        </li>
                                        <?php
                                    }
                                    if (figero_get_option('figero_rss') != '') {
                                        ?>
                                        <li>
                                            <a rel="nofollow" href="<?php echo esc_url(figero_get_option('figero_rss')); ?>"><i class="fa fa-rss" aria-hidden="true"></i></a>
                                        </li>
                                        <?php
                                    }
                                    if (figero_get_option('figero_youtube') != '') {
                                        ?>
                                        <li>
                                            <a rel="nofollow" href="<?php echo esc_url(figero_get_option('figero_youtube')); ?>"><i class="fa fa-youtube" aria-hidden="true"></i></a>
                                        </li>
                                        <?php
                                    }
                                    if (figero_get_option('figero_googleplus') != '') {
                                        ?>
                                        <li>
                                            <a rel="nofollow" href="<?php echo esc_url(figero_get_option('figero_googleplus')); ?>"><i class="fa fa-google-plus" aria-hidden="true"></i></a>
                                        </li>
                                        <?php
                                    }
                                    if (figero_get_option('figero_pinterest') != '') {
                                        ?>
                                        <li>
                                            <a rel="nofollow" href="<?php echo esc_url(figero_get_option('figero_pinterest')); ?>"><i class="fa fa-pinterest" aria-hidden="true"></i></a>
                                        </li>
                                        <?php
                                    }
                                    ?>
                                </ul>
                            </div>
                            <div class = "feature_map">
                                <div class = "map" style = "overflow:hidden;">
                                    <?php
                                    if (figero_get_option('figero_feature_map') != '') {
                                        echo htmlspecialchars_decode(figero_get_option('figero_feature_map'));
                                    } else {
                                        ?>
                                        <iframe width="620" height="480" src="//maps.google.com/maps?f=q&amp;source=s_q&amp;hl=en&amp;geocode=&amp;q=Chuna+Bhatti,+Bhopal,+Madhya+Pradesh,+India&amp;aq=0&amp;oq=bh&amp;sll=37.0625,-95.677068&amp;sspn=56.506174,79.013672&amp;ie=UTF8&amp;hq=&amp;hnear=Chuna+Bhatti,+Bhopal,+Madhya+Pradesh,+India&amp;t=m&amp;ll=23.202617,77.413874&amp;spn=0.037866,0.054932&amp;z=14&amp;iwloc=A&amp;output=embed"></iframe>
                                    <?php } ?>
                                </div>
                            </div>
                        </div>
                        <!--Start Sidebar-->
                        <?php // get_sidebar();     ?>
                        <!--End Sidebar-->
                    </div>
                </div>
            <!--</div>-->
        </div>
    </div>
</div>
<!--contact content end-->
<?php
get_footer();
